<?php

namespace App\Http\Controllers\dashboard\agent;

use App\Http\Controllers\Controller;
use App\Models\Ruta;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Http;

class ProfileAgentController extends Controller
{
    public function index()
    {
        $title = "Profile - Agent | ";
        $rutas = Ruta::where('DSC_URL', '=', 'DetallePerfil')->get();

        //Perfil
        foreach ($rutas as $ruta) {
            $response = Http::get(session('API_URL') . $ruta->URL_RUTA . $ruta->PAR1 . session('TKN_EMP') . $ruta->PAR2 . session('EMP_ID') . $ruta->PAR3 . session('usuario_data')['id'] . $ruta->PAR4 . 1);
        }
        // print_r($response);
        // exit;

        if ($response->successful()) {
            $json = $response->json();

            if ($json['estado'] === 200) {
                $perfil = $json['data'];
            } else {
                $perfil = '';
            }
        }
        return view('dashboard.profile.index', compact('perfil'))->with('title', $title);
    }
}
