<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Login & Register</title>
    <link rel="stylesheet" href="{{ asset('website/css/style-login.css') }}">
</head>

<body>
    <div class="container fade-in">
        <div class="logo">
            <a href="{{  route('website.home.index') }}" class="logo-image"><img src="{{ asset('website/img/basic/logo_phonix_black.png') }}"
                    alt="logo"></a>
        </div>
        <h2>Sign Up</h2>
        <form>
            <input type="text" placeholder="Ex. Juan" required>
            <input type="text" placeholder="Ex. Derck" required>
            <input type="text" placeholder="Ex. Ruth" required>
            <input type="email" placeholder="Ex. derk@domain.com" required>
            <input type="text" placeholder="Ex. +529999999999" required>
            <input type="text" placeholder="Ex. +529999999999" required>
            <input type="text" placeholder="Contraseña" required>
            <button type="submit">Register</button>
            <p>Log in to your account? <a href="#" onclick="redirectWithAnimation('{{ route('website.auth.login') }}')">Login</a></p>
        </form>
    </div>

    <script src="{{ asset('website/js/script-login.js') }}"></script>
</body>

</html>
