<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>{{ $title . ' ' . env('APP_NAME') }}</title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- Place favicon.ico in the root directory -->
    <link rel="shortcut icon" type="image/x-icon" href="{{ asset('website/img/basic/favicon.png') }}">
    <!-- CSS here -->
    <link rel="stylesheet" href="{{ asset('website/css/preloader.css') }}">
    <link rel="stylesheet" href="{{ asset('website/css/bootstrap.css') }}">
    <link rel="stylesheet" href="{{ asset('website/css/meanmenu.css') }}">
    <link rel="stylesheet" href="{{ asset('website/css/animate.css') }}">
    <link rel="stylesheet" href="{{ asset('website/css/owl-carousel.css') }}">
    <link rel="stylesheet" href="{{ asset('website/css/swiper-bundle.css') }}">
    <link rel="stylesheet" href="{{ asset('website/css/backtotop.css') }}">
    <link rel="stylesheet" href="{{ asset('website/css/magnific-popup.css') }}">
    <link rel="stylesheet" href="{{ asset('website/css/nice-select.css') }}">
    <link rel="stylesheet" href="{{ asset('website/flaticon/flaticon.css') }}">
    <link rel="stylesheet" href="{{ asset('website/css/font-awesome-pro.css') }}">
    <link rel="stylesheet" href="{{ asset('website/css/default.css') }}">
    <link rel="stylesheet" href="{{ asset('website/css/style.css') }}">
    <link rel="stylesheet" href="{{ asset('website/css/style-one.css') }}">

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
</head>

<style>
    /* Estilos para el preloader */
    #preloader {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: rgba(0, 0, 0, 0.8);
        z-index: 9999;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    #loader {
        width: 100px;
        height: 100px;
        margin-bottom: 40px;
        {{--  animation: spin 1.5s linear infinite;  --}}
    }

    #loader img {
        width: 100%;
        height: auto;
        {{--  border-radius: 50%;  --}}
    }

    {{--  @keyframes spin {
        0% {
            transform: rotate(0deg);
        }

        100% {
            transform: rotate(360deg);
        }
    }  --}} .one-preloader-p {
        color: white;
        font-weight: bold;
        font-size: 20px;
    }
</style>

@if (Route::currentRouteName() !== 'website.cart.index')
    <div id="preloader">
        <div id="loader">
            <img src="{{ asset('website/img/basic/favicon.png') }}" alt="Llanta giratoria">
        </div>
        <p class="one-preloader-p">Loading Phonix website...</p>
    </div>
@endif
