<header class="header d-blue-bg one-header-theme">
    <div class="header-top">
        <div class="container custom-conatiner">
            <div class="header-inner">
                <div class="row align-items-center">
                    <div class="col-xl-6 col-lg-7">
                        <div class="header-inner-start">
                            <div class="support d-none d-sm-block one-nav-header-support">
                                <p>Need Help? <a href="tel:7868985969">786-898-5969</a></p>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-6 col-lg-5 d-none d-lg-block">
                        <div class="header-inner-end text-md-end">
                            <div class="ovic-menu-wrapper ovic-menu-wrapper-2">
                                <ul>
                                    {{--  <li><a href="{{ route('vendor.auth.login') }}">Login Vendor</a></li>  --}}
                                    <li><a href="{{ route('website.products.index') }}">All Products</a></li>
                                    {{--  <li><a href="{{ route('website.quoteShippment.index') }}">Quote Your Shipment</a></li>
                                    <li><a href="faq.html">FAQs</a></li>  --}}
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="header-mid">
        <div class="container custom-conatiner">
            <div class="heade-mid-inner">
                <div class="row align-items-center">
                    <div class="col-xl-3 col-lg-3 col-md-4 col-sm-4">
                        <div class="header__info">
                            <div class="logo">
                                <a href="{{ route('website.home.index') }}" class="logo-image"><img
                                        src="{{ asset('website/img/basic/logo_phonix_white.png') }}" alt="logo"></a>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-5 col-lg-4 d-none d-lg-block">
                        <div class="header__search">
                            <form id="searchForm" action="{{ route('website.products.index') }}" method="GET">
                                <div class="header__search-box">
                                    <!-- Input visible sin el atributo name -->
                                    <input class="search-input search-input-2" type="text"
                                        placeholder="I'm shopping for..." id="busInput">

                                    <!-- Campo oculto para enviar el valor en base64 -->
                                    <input type="hidden" name="bus" id="encodedBus">

                                    <button class="button button-2 one-button-search" type="submit"><i
                                            class="far fa-search"></i></button>
                                </div>
                                <div class="header__search-cat one-header-search-filter">
                                    <select id="familiaSelect" name="fam">
                                        <option value="">Select a category</option>
                                        @foreach (session('familias') as $familia)
                                            <option value="{{ $familia['id'] }}">{{ $familia['nombre'] }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </form>

                            <script>
                                document.getElementById('searchForm').addEventListener('submit', function(event) {
                                    // Obtén el valor del input visible
                                    const busInput = document.getElementById('busInput').value;

                                    // Codifica el valor en base64
                                    const base64Value = btoa(busInput);

                                    // Establece el valor codificado en el input oculto
                                    document.getElementById('encodedBus').value = base64Value;
                                });

                                // Agrega el evento change al select
                                document.getElementById('familiaSelect').addEventListener('change', function() {
                                    const selectedFamId = this.value;

                                    if (selectedFamId) {
                                        // Redirige a la ruta con el parámetro ?fam=id
                                        // Evitamos el envío del formulario y solo redirigimos con el parámetro
                                        const searchQuery = document.getElementById('busInput').value;
                                        const url = new URL("{{ route('website.products.index') }}");
                                        url.searchParams.set("fam", selectedFamId);

                                        if (searchQuery) {
                                            url.searchParams.set("bus", btoa(searchQuery)); // Codificamos el valor de busInput
                                        }

                                        window.location.href = url; // Realizamos la redirección con los parámetros
                                    }
                                });
                            </script>




                        </div>
                    </div>
                    <div class="col-xl-4 col-lg-5 col-md-8 col-sm-8">
                        <div class="header-action">
                            {{--  <div class="block-userlink">
                                <a class="icon-link icon-link-2" href="my-account.html">
                                    <i class="flaticon-user"></i>
                                    @if (session('usuario_autenticado'))
                                        <span class="text">
                                            <span class="sub">Welcome </span>
                                            @if (session('usuario') && isset(session('usuario')['nombre_completo']))
                                                {{ session('usuario')['nombre_completo'] }}
                                            @else
                                                Name user not data
                                            @endif
                                        </span>
                                    @else
                                        <span class="text">
                                            <span class="sub">Login </span>
                                            My Account </span>
                                    @endif
                                </a>
                            </div>  --}}

                            <div class="block-cart action">
                                @if (session('usuario_autenticado'))
                                    <a class="icon-link icon-link-2">
                                    @else
                                        <a class="icon-link icon-link-2" href="{{ route('website.auth.login') }}">
                                @endif
                                <i class="flaticon-user"></i>
                                @if (session('usuario_autenticado'))
                                    <span class="text">
                                        <span class="sub">Welcome </span>
                                        @if (session('usuario_data') && isset(session('usuario_data')['nombre_completo']))
                                            {{ session('usuario_data')['nombre_completo'] }}
                                        @else
                                            Name user not data
                                        @endif
                                    </span>
                                @else
                                    <span class="text">
                                        <span class="sub">Login </span>
                                        My Account </span>
                                @endif
                                </a>
                                @if (session('usuario_autenticado'))
                                    <div class="cart">
                                        <div class="cart__mini">
                                            <ul>
                                                <li>
                                                    <form id="logout-form" action="{{ route('website.auth.logout') }}"
                                                        method="POST" style="display: none;">
                                                        @csrf
                                                    </form>
                                                    @if (session('tip_usr') == 1)
                                                        <a href="{{ route('customer.profile.index') }}"
                                                            class="wc-checkout">My
                                                            Account</a>
                                                        <a href="{{ route('customer.orders.index') }}"
                                                            class="wc-checkout">My
                                                            Orders</a>
                                                    @elseif (session('tip_usr') == 2)
                                                        <a href="{{ route('vendor.profile.index') }}"
                                                            class="wc-checkout">My
                                                            Account</a>
                                                        <a href="{{ route('vendor.layouts.index') }}"
                                                            class="wc-checkout">My
                                                            Orders</a>
                                                    @elseif (session('tip_usr') == 3)
                                                        <a href="{{ route('agent.profile.index') }}"
                                                            class="wc-checkout">My
                                                            Account</a>
                                                        <a href="{{ route('agent.orders.index') }}"
                                                            class="wc-checkout">My
                                                            Orders</a>
                                                    @endif

                                                    <a onclick="event.preventDefault(); document.getElementById('logout-form').submit();"
                                                        class="wc-cart mb-10">Logout</a>
                                                </li>
                                            </ul>
                                        </div>
                                    </div>
                                @endif
                            </div>

                            <div class="block-wishlist action">
                                {{--  <a class="icon-link icon-link-2" href="wishlist.html">
                                    <i class="flaticon-heart"></i>
                                    <span class="count count-2">0</span>
                                    <span class="text">
                                        <span class="sub">Favorite</span>
                                        My Wishlist </span>
                                </a>  --}}
                            </div>
                            @if (session('usuario_autenticado'))
                                <div class="block-cart action">
                                    <a class="icon-link icon-link-2" href="{{ route('website.cart.index') }}">
                                        <i class="flaticon-shopping-bag"></i>

                                        @if (!empty(session('miCarrito')))
                                            <span class="count count-2">{{ session('miCarritoCount') }}</span>
                                            <span class="text">
                                        @endif
                                        <span class="sub">Your Cart:</span>
                                        @if (!empty(session('miCarrito')))
                                            ${{ session('miCarritoSuma') }}
                                        @endif
                                        </span>
                                    </a>

                                    <div class="cart">
                                        <div class="cart__mini">
                                            <ul>
                                                <li>
                                                    <div class="cart__title">
                                                        <h4>Your Cart</h4>
                                                        <span>({{ session('miCarritoCount') }} Item in Cart)</span>
                                                    </div>
                                                </li>
                                                @if (!empty(session('miCarrito')))
                                                    @foreach (session('miCarrito') as $item)
                                                        <li>
                                                            <div
                                                                class="cart__item d-flex justify-content-between align-items-center">

                                                                <div class="cart__inner d-flex">
                                                                    <div class="cart__thumb">
                                                                        <a href="{{ $item->LNK_PRD }}">
                                                                            <img src="{{ $item->IMG_PRD }}"
                                                                                alt="">
                                                                        </a>
                                                                    </div>
                                                                    <div class="cart__details">
                                                                        <h6><a href="{{ $item->LNK_PRD }}">
                                                                                {{ $item->NOM_PRD }} </a></h6>
                                                                        <div class="cart__price one-cart-price">
                                                                            <small>x{{ $item->CANTIDAD }}</small>
                                                                            <span>${{ $item->PRC_UNT }}</span>
                                                                        </div>
                                                                    </div>
                                                                </div>


                                                                <div class="cart__del">
                                                                    {{--  <a href="#"><i class="fal fa-times"></i></a>  --}}
                                                                </div>
                                                            </div>
                                                        </li>
                                                    @endforeach
                                                    <li>
                                                        <div
                                                            class="cart__sub d-flex justify-content-between align-items-center">
                                                            <h6>Subtotal</h6>
                                                            <span
                                                                class="cart__sub-total one-cart-subtotal">${{ session('miCarritoSuma') }}</span>
                                                        </div>
                                                    </li>
                                                    <li>
                                                        <a href="{{ route('website.cart.index') }}"
                                                            class="wc-cart mb-10">View
                                                            cart</a>
                                                        <a href="{{ route('website.checkout.index') }}"
                                                            class="wc-checkout">Checkout</a>
                                                    </li>
                                                @else
                                                    Empty cart
                                                @endif

                                            </ul>
                                        </div>
                                    </div>

                                </div>
                            @else
                                <div class="block-cart action">
                                </div>
                            @endif

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="header__bottom">
        <div class="container custom-conatiner">
            <div class="row g-0 align-items-center">
                <div class="col-lg-3">
                    <div class="cat__menu-wrapper side-border d-none d-lg-block">
                        <div class="cat-toggle">
                            <button type="button" class="cat-toggle-btn cat-toggle-btn-1">
                                <i class="fal fa-bars"></i> Shop by department
                            </button>
                            <div class="cat__menu-2 cat__menu">
                                <nav id="mobile-menu" style="display: block;">
                                    <ul>
                                        @foreach (session('familias') as $item)
                                            <li>
                                                <a
                                                    href="{{ route('website.products.index') . '?fam=' . $item['id'] }}">{{ $item['nombre'] }}
                                                    @if (!empty($item['sub_fam_registros']))
                                                        <i class="far fa-angle-down"></i>
                                                    @endif
                                                </a>
                                                @if (!empty($item['sub_fam_registros']))
                                                    <ul class="submenu">
                                                        @foreach ($item['sub_fam_registros'] as $item2)
                                                            <li>
                                                                <a
                                                                    href="{{ route('website.products.index') . '?sub=' . $item2['id'] }}">
                                                                    {{ $item2['nombre'] }}
                                                                </a>
                                                            </li>
                                                        @endforeach
                                                    </ul>
                                                @endif

                                            </li>
                                        @endforeach
                                    </ul>
                                </nav>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-6 col-md-6 col-3">
                    <div class="header__bottom-left d-flex d-xl-block align-items-center">
                        <div class="side-menu d-lg-none mr-20">
                            <button type="button" class="side-menu-btn offcanvas-toggle-btn"><i
                                    class="fas fa-bars"></i></button>
                        </div>
                        <div class="main-menu d-none d-lg-block">
                            <nav>
                                <ul>
                                    <li>
                                        <a href="{{ route('website.products.index', ['fam' => session('today')['id']] ) }}"><i class="fa fa-bolt" aria-hidden="true">
                                            </i> Today deals <span class="one-span-page-link">
                                                @if (session('today')['num_productos'] >= 99)
                                                    99+
                                                @else
                                                    {{ session('today')['num_productos'] }}
                                                @endif
                                            </span>
                                        </a>
                                    </li>
                                    <li>
                                        <a href="{{ route('website.products.index', ['fam' => session('price')['id']] ) }}">
                                            <i class="fa fa-arrow-circle-down"
                                                aria-hidden="true"></i> Price drop <span
                                                class="one-span-page-link">
                                                @if (session('price')['num_productos'] >= 99)
                                                    99+
                                                @else
                                                    {{ session('price')['num_productos'] }}
                                                @endif
                                            </span>
                                        </a>
                                    </li>
                                    <li>
                                        <a href="{{ route('website.products.index', ['fam' => session('just')['id']] ) }}">
                                            <i class="fa fa-rocket" aria-hidden="true"></i> Just
                                            launched <span class="one-span-page-link">
                                                @if (session('just')['num_productos'] >= 99)
                                                    99+
                                                @else
                                                    {{ session('just')['num_productos'] }}
                                                @endif
                                            </span>
                                        </a>
                                    </li>
                                </ul>
                            </nav>
                        </div>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6 col-9">
                    <div class="shopeing-text text-sm-end">
                        {{--  <p>Spend $120 more and get free shipping!</p>  --}}
                    </div>
                </div>
            </div>
        </div>
    </div>
</header>
