<script src="{{ asset('website/js/vendor/jquery.js') }}"></script>
<script src="{{ asset('website/js/vendor/waypoints.js') }}"></script>
<script src="{{ asset('website/js/bootstrap-bundle.js') }}"></script>
<script src="{{ asset('website/js/meanmenu.js') }}"></script>
<script src="{{ asset('website/js/swiper-bundle.js') }}"></script>
<script src="{{ asset('website/js/tweenmax.js') }}"></script>
<script src="{{ asset('website/js/owl-carousel.js') }}"></script>
<script src="{{ asset('website/js/magnific-popup.js') }}"></script>
<script src="{{ asset('website/js/parallax.js') }}"></script>
<script src="{{ asset('website/js/backtotop.js') }}"></script>
<script src="{{ asset('website/js/nice-select.js') }}"></script>
<script src="{{ asset('website/js/countdown.min.js') }}"></script>
<script src="{{ asset('website/js/counterup.js') }}"></script>
<script src="{{ asset('website/js/wow.js') }}"></script>
<script src="{{ asset('website/js/isotope-pkgd.js') }}"></script>
<script src="{{ asset('website/js/imagesloaded-pkgd.js') }}"></script>
<script src="{{ asset('website/js/ajax-form.js') }}"></script>
<script src="{{ asset('website/js/main.js') }}"></script>
<style>
    /* Estilo del toast */
    .toast-custom {
        position: fixed;
        bottom: 20px;
        right: 20px;
        background-color: #333;
        color: #fff;
        padding: 15px;
        border-radius: 8px;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
        z-index: 999999999999 !important;
        display: flex;
        align-items: center;
        opacity: 0;
        transition: opacity 0.4s ease, bottom 0.4s ease;
    }

    .toast-custom.show {
        opacity: 1;
        bottom: 40px;
    }

    .toast-custom .toast-header {
        font-weight: bold;
        margin-right: 10px;
    }

    .toast-custom .toast-body {
        flex-grow: 1;
    }

    .toast-custom .btn-close {
        background: none;
        border: none;
        color: #fff;
        font-size: 16px;
        cursor: pointer;
        margin-left: 10px;
    }

    .toast-custom .btn-close:hover {
        color: #aaa;
    }
</style>

<script>
    document.addEventListener('DOMContentLoaded', function() {
        var mensajeAPI = "{{ session('mensajeAPI') }}";
        var estadoAPI = "{{ session('estadoAPI') }}";

        if (estadoAPI === '100') {
            // Crear el elemento del toast
            var toastHTML = `
                <div class="toast-custom" id="customToast">
                    <div class="toast-header">Success</div>
                    <div class="toast-body">${mensajeAPI}</div>
                    <button class="btn-close" onclick="closeToast()">×</button>
                </div>`;

            // Insertar el toast en el cuerpo del documento
            document.body.insertAdjacentHTML('beforeend', toastHTML);

            // Mostrar el toast con una animación
            setTimeout(function() {
                document.getElementById('customToast').classList.add('show');
            }, 100); // Mostrar después de un pequeño retraso

            // Cerrar automáticamente el toast después de 5 segundos
            setTimeout(closeToast, 5000);
        } else if (estadoAPI === '102') {
            // Crear el elemento del toast
            var toastHTML = `
                <div class="toast-custom" id="customToast">
                    <div class="toast-header">Info</div>
                    <div class="toast-body">${mensajeAPI}</div>
                    <button class="btn-close" onclick="closeToast()">×</button>
                </div>`;

            // Insertar el toast en el cuerpo del documento
            document.body.insertAdjacentHTML('beforeend', toastHTML);

            // Mostrar el toast con una animación
            setTimeout(function() {
                document.getElementById('customToast').classList.add('show');
            }, 100); // Mostrar después de un pequeño retraso

            // Cerrar automáticamente el toast después de 5 segundos
            setTimeout(closeToast, 5000);
        } else if (estadoAPI === '200') {
            // Crear el elemento del toast
            var toastHTML = `
                <div class="toast-custom" id="customToast">
                    <div class="toast-header">Success!</div>
                    <div class="toast-body">${mensajeAPI}</div>
                    <button class="btn-close" onclick="closeToast()">×</button>
                </div>`;

            // Insertar el toast en el cuerpo del documento
            document.body.insertAdjacentHTML('beforeend', toastHTML);

            // Mostrar el toast con una animación
            setTimeout(function() {
                document.getElementById('customToast').classList.add('show');
            }, 100); // Mostrar después de un pequeño retraso

            // Cerrar automáticamente el toast después de 5 segundos
            setTimeout(closeToast, 5000);
        } else if (estadoAPI === '400') {
            // Crear el elemento del toast
            var toastHTML = `
                <div class="toast-custom" id="customToast">
                    <div class="toast-header">Atention!</div>
                    <div class="toast-body">${mensajeAPI}</div>
                    <button class="btn-close" onclick="closeToast()">×</button>
                </div>`;

            // Insertar el toast en el cuerpo del documento
            document.body.insertAdjacentHTML('beforeend', toastHTML);

            // Mostrar el toast con una animación
            setTimeout(function() {
                document.getElementById('customToast').classList.add('show');
            }, 100); // Mostrar después de un pequeño retraso

            // Cerrar automáticamente el toast después de 5 segundos
            setTimeout(closeToast, 5000);
        } else if (estadoAPI === '401') {
            // Crear el elemento del toast
            var toastHTML = `
                <div class="toast-custom" id="customToast">
                    <div class="toast-header">Atention!</div>
                    <div class="toast-body">${mensajeAPI}</div>
                    <button class="btn-close" onclick="closeToast()">×</button>
                </div>`;

            // Insertar el toast en el cuerpo del documento
            document.body.insertAdjacentHTML('beforeend', toastHTML);

            // Mostrar el toast con una animación
            setTimeout(function() {
                document.getElementById('customToast').classList.add('show');
            }, 100); // Mostrar después de un pequeño retraso

            // Cerrar automáticamente el toast después de 5 segundos
            setTimeout(closeToast, 5000);
        }
    });

    function closeToast() {
        var toast = document.getElementById('customToast');
        if (toast) {
            toast.classList.remove('show');
            setTimeout(function() {
                toast.remove();
            }, 400); // Espera el tiempo de la transición antes de eliminar
        }
    }
</script>

<script>
    document.addEventListener('DOMContentLoaded', function() {
        // Verifica si el usuario está autenticado desde la variable de sesión de Blade
        const isAuthenticated = @json(session('usuario_autenticado') === true);
        const redirectUrl = "{{ route('website.auth.login') }}";

        // Selecciona todos los botones con la clase `auth-action-autenticate`
        const authButtons = document.querySelectorAll('.auth-action-autenticate');

        // Recorre cada botón y añade un listener de clic
        authButtons.forEach(function(button) {
            button.addEventListener('click', function(event) {
                // Si el usuario no está autenticado, redirige y evita el envío del formulario
                if (!isAuthenticated) {
                    event.preventDefault();
                    window.location.href = redirectUrl;
                }
            });
        });
    });
</script>

<script>
    document.addEventListener("DOMContentLoaded", function() {
        window.onload = function() {
            document.getElementById("preloader").style.display = "none";
        };
    });
</script>

<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
@if (session('estadoAPI') === 428)
    <script>
        document.addEventListener('DOMContentLoaded', function() {
            Swal.fire({
                title: 'Confirmación',
                text: "{{ session('mensajeAPI') }}",
                icon: 'warning',
                showCancelButton: true,
                confirmButtonText: 'Yes',
                cancelButtonText: 'No'
            }).then((result) => {
                if (result.isConfirmed) {
                    // Si el usuario confirma, redirigir a la ruta para continuar el proceso
                    window.location.href = "{{ route('continuarProceso') }}";
                } else {
                    // Si el usuario cancela, regresar con mensaje de cancelación
                    window.location.href = "{{ url()->previous() }}";
                }
            });
        });
    </script>
@endif
