<!doctype html>
<html class="no-js" lang="zxx">
@include('website.layouts.head')

<body class="one-main-theme">

    {{--  @include('website.layouts.preloader')  --}}

    @include('website.layouts.button-back-to-top')

    @include('website.layouts.header')

    @include('website.layouts.offcanvas')

    <main>
        <!-- breadcrumb__area-start -->
        <section class="breadcrumb__area box-plr-75">
            <div class="container">
                <div class="row">
                    <div class="col-xxl-12">
                        <div class="breadcrumb__wrapper">
                            <nav aria-label="breadcrumb">
                                <ol class="breadcrumb">
                                    <li class="breadcrumb-item"><a href="{{ route('website.home.index') }}" class="one-text-theme">Home</a></li>
                                    <li class="breadcrumb-item one-text-theme active" aria-current="page">Shop</li>
                                </ol>
                            </nav>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- breadcrumb__area-end -->

        <!-- shop-area-start -->
        <div class="shop-area mb-20">
            <div class="container">
                <div class="row">
                    <div class="col-xl-3 col-lg-4">

                        @include('website.products.partials.filter-left')
                    </div>
                    <div class="col-xl-9 col-lg-8">
                        
                        @include('website.products.partials.filter-top-product')
                        @include('website.products.partials.products')
                        @include('website.products.partials.pagination')

                    </div>
                </div>
            </div>
        </div>

        @include('website.products.partials.modal-product')

    </main>

    @include('website.layouts.footer')

    <!-- JS here -->
    @include('website.layouts.scripts')
</body>

</html>
