<!DOCTYPE html>
@include('website.layouts.auth.head')

<body>
    <div class="container fade-in">
        <div class="logo">
            <a href="{{ route('website.home.index') }}" class="logo-image"><img
                    src="{{ asset('website/img/basic/logo_phonix_black.png') }}" alt="logo">
            </a>

        </div>
        <div class="row">
            @if (!session('mensajeExito'))
            <form action="{{ route('customer.profile.recoverySend') }}" method="POST">
                @csrf
                <div class="col-12">
                    <input type="text" name="user" id=""
                        placeholder="Enter your account email address to be recovered">
                </div>
                <div class="col-12">
                    <button type="submit">Send Request</button>
                </div>
            </form>
            @endif
        </div>

        @if (session('error'))
            <div class="text-alert"><i class="fa fa-times-circle-o" aria-hidden="true"></i> {{ session('error') }}</div>
        @endif
        @if (session('mensaje'))
            <div class="alert-error-login">
                <i class="fa fa-exclamation-triangle" aria-hidden="true"></i> {{ session('mensaje') }}
            </div>
        @endif
        @if (session('mensajeExito'))
            <div class="alert-succes-login">
                <i class="fa fa-check" aria-hidden="true"></i> {{ session('mensajeExito') }}
            </div>
        @endif

        <p>
            You already have an account?
            <a href="#" onclick="redirectWithAnimation('{{ route('website.auth.login') }}')">
                Login
            </a>
        </p>
    </div>

    <script src="{{ asset('website/js/script-login.js') }}"></script>
</body>

</html>
