<!doctype html>
<html class="no-js" lang="zxx">
<?php echo $__env->make('website.layouts.head', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<body class="one-main-theme">

    

    <?php echo $__env->make('website.layouts.button-back-to-top', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <?php echo $__env->make('website.layouts.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <?php echo $__env->make('website.layouts.offcanvas', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <main>

        <section class="trending-product-area pt-25 pb-15">
            <div class="container custom-conatiner">
                <div class="row">
                    <div class="col-xl-12 text-center mt-50">
                        <h2 class="one-text-theme">
                            <i class="fa fa-plane" aria-hidden="true"></i>
                            Quote Your Shippment
                        </h2>


                        <form action="<?php echo e(route('website.quoteShippment.created')); ?>" method="POST">
                            <?php echo csrf_field(); ?>
                            <div class="row">
                                <div class="col-12">
                                    <div class="row d-flex justify-content-center">
                                        <div class="col-3">
                                            <select class="form-select form-select-lg mb-3" name="typeShippment"
                                                id="typeShippment">
                                                <option selected value="">Select the shipping type</option>
                                                <option value="1"
                                                    <?php echo e(old('typeShippment') == 1 ? 'selected' : ''); ?>>Local
                                                </option>
                                                <option value="2"
                                                    <?php echo e(old('typeShippment') == 2 ? 'selected' : ''); ?>>
                                                    International</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>


                                <div class="col-4 international-only shipping-field">
                                    <div class="input-group flex-nowrap">
                                        <span class="input-group-text span-input-shippmment"><i class="fa fa-plane"
                                                aria-hidden="true"></i></span>
                                        <input type="text" class="form-control" placeholder="Weight" name="weight"
                                            value="<?php echo e(old('weight')); ?>" id="weight">
                                    </div>
                                    <?php $__errorArgs = ['weight'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <div class="text-danger"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>

                                <div class="col-4 shipping-field">
                                    <div class="input-group flex-nowrap">
                                        <span class="input-group-text span-input-shippmment"><i class="fa fa-plane"
                                                aria-hidden="true"></i></span>
                                        <input type="text" class="form-control" placeholder="Number of packages"
                                            name="numberPackage" value="<?php echo e(old('numberPackage')); ?>" id="numberPackage">
                                    </div>
                                    <?php $__errorArgs = ['numberPackage'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <div class="text-danger"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>

                                <div class="col-4 shipping-field">
                                    <div class="input-group flex-nowrap">
                                        <span class="input-group-text span-input-shippmment"><i class="fa fa-plane"
                                                aria-hidden="true"></i></span>
                                        <input type="text" class="form-control"
                                            placeholder="Delivery Address including zip code" name="zipCode"
                                            value="<?php echo e(old('zipCode')); ?>" id="zipCode">
                                    </div>
                                    <?php $__errorArgs = ['zipCode'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <div class="text-danger"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>



                                <div class="col-4 international-only shipping-field">
                                    <div class="input-group flex-nowrap">
                                        <span class="input-group-text span-input-shippmment"><i class="fa fa-plane"
                                                aria-hidden="true"></i></span>
                                        <input type="text" class="form-control" placeholder="Dimensions"
                                            name="dimensions" value="<?php echo e(old('dimensions')); ?>" id="dimensions">
                                    </div>
                                    <?php $__errorArgs = ['dimensions'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <div class="text-danger"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>

                                <div class="col-4 international-only shipping-field">
                                    <div class="input-group flex-nowrap">
                                        <span class="input-group-text span-input-shippmment"><i class="fa fa-plane"
                                                aria-hidden="true"></i></span>
                                        <input type="text" class="form-control" placeholder="Type of product"
                                            name="typeProduct" value="<?php echo e(old('numberPackage')); ?>" id="typeProduct">
                                    </div>
                                    <?php $__errorArgs = ['typeProduct'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <div class="text-danger"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>

                                <div class="col-4 international-only shipping-field">
                                    <div class="input-group flex-nowrap">
                                        <span class="input-group-text span-input-shippmment"><i class="fa fa-plane"
                                                aria-hidden="true"></i></span>
                                        <input type="text" class="form-control" placeholder="Value" name="value"
                                            value="<?php echo e(old('value')); ?>" id="value">
                                    </div>
                                    <?php $__errorArgs = ['value'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <div class="text-danger"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>

                                <div class="col-12 text-center">
                                    <button class="btn btn-form-shippment" type="submit"><i class="fa fa-plane"
                                            aria-hidden="true"></i> Submit</button>


                                </div>
                            </div>
                        </form>

                        <div class="text-center" style="margin-top: 25px;">
                            <?php if(session('error-form')): ?>
                                <div class="text-danger"><i class="fa fa-exclamation-triangle"
                                        aria-hidden="true"></i>
                                    <?php echo e(session('error-form')); ?></div>
                            <?php endif; ?>
                        </div>
                        <script>
                            document.addEventListener('DOMContentLoaded', function() {
                                const typeShippment = document.getElementById('typeShippment');
                                const shippingFields = document.querySelectorAll('.shipping-field');
                                const submitButton = document.querySelector('.btn-form-shippment');

                                function toggleFields() {
                                    const iconClass = typeShippment.value === '1' ? 'fa-truck' : 'fa-plane';
                                    shippingFields.forEach(field => {
                                        const iconElement = field.querySelector('.input-group-text i');
                                        if (iconElement) {
                                            iconElement.className = `fa ${iconClass}`;
                                        }
                                    });

                                    if (typeShippment.value === '1') {
                                        shippingFields.forEach(field => field.style.display = 'none');
                                        document.getElementById('zipCode').parentNode.parentNode.style.display = '';
                                        document.getElementById('numberPackage').parentNode.parentNode.style.display = '';
                                        submitButton.style.display = '';
                                    } else if (typeShippment.value === '2') {
                                        shippingFields.forEach(field => field.style.display = '');
                                        submitButton.style.display = '';
                                    } else {
                                        shippingFields.forEach(field => field.style.display = 'none');
                                        submitButton.style.display = 'none';
                                    }
                                }

                                typeShippment.addEventListener('change', toggleFields);

                                toggleFields(); // Para aplicar cambios en caso de que haya valores pre-seleccionados
                            });
                        </script>
                    </div>
                </div>
            </div>
        </section>


    </main>

    <?php echo $__env->make('website.layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <!-- JS here -->
    <?php echo $__env->make('website.layouts.scripts', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
</body>

</html>
<?php /**PATH C:\xampp\htdocs\ecommerce-phonix\resources\views/website/quoteShippment/index.blade.php ENDPATH**/ ?>