<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Login & Register</title>
    <link rel="stylesheet" href="<?php echo e(asset('website/css/style-login.css')); ?>">
</head>

<body>
    <div class="container">
        <div id="loginPage" class="page active">
            <h2>Login</h2>
            <form>
                <input type="email" placeholder="Correo Electrónico" required>
                <input type="password" placeholder="Contraseña" required>
                <button type="submit">Ingresar</button>
                <p>¿No tienes cuenta? <a href="#" onclick="togglePage()">Regístrate</a></p>
            </form>
        </div>

        <div id="registerPage" class="page">
            <h2>Registro</h2>
            <form>
                <input type="text" placeholder="Nombre Completo" required>
                <input type="email" placeholder="Correo Electrónico" required>
                <input type="password" placeholder="Contraseña" required>
                <button type="submit">Registrar</button>
                <p>¿Ya tienes cuenta? <a href="#" onclick="togglePage()">Inicia sesión</a></p>
            </form>
        </div>
    </div>

    <script src="<?php echo e(asset('website/js/script-login.js')); ?>"></script>
</body>

</html>
<?php /**PATH C:\xampp\htdocs\ecommerce-phonix\resources\views/website/login/index.blade.php ENDPATH**/ ?>