<!doctype html>
<html class="no-js" lang="zxx">
<?php echo $__env->make('website.layouts.head', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<body class="one-main-theme">

    

    <?php echo $__env->make('website.layouts.button-back-to-top', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <?php echo $__env->make('website.layouts.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <?php echo $__env->make('website.layouts.offcanvas', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <main>
        <!-- page-banner-area-start -->
        
        <!-- page-banner-area-end -->

        <!-- cart-area-start -->
        <section class="cart-area pt-120 pb-120">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <form action="#">
                            <div class="table-content table-responsive">
                                <table class="table one-table-theme">
                                    <thead>
                                        <tr>
                                            <th class="product-thumbnail">Images</th>
                                            <th class="cart-product-name">Product</th>
                                            <th class="product-price">Unit Price</th>
                                            <th class="product-quantity">Quantity</th>
                                            <th class="product-subtotal">Total</th>
                                            <th class="product-remove">Remove</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php if(!empty($miCarrito)): ?>
                                            <?php $__currentLoopData = $miCarrito; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <tr>
                                                    <td class="product-thumbnail"><a href="<?php echo e($item->LNK_PRD); ?>"><img
                                                                src="<?php echo e($item->IMG_PRD); ?>" alt=""></a></td>
                                                    <td class="product-name"><a
                                                            href="<?php echo e($item->LNK_PRD); ?>"><?php echo e($item->NOM_PRD); ?></a>
                                                    </td>
                                                    <td class="product-price"><span
                                                            class="amount">$<?php echo e($item->PRC_UNT); ?></span></td>
                                                    <td class="product-quantity">
                                                        <div class="cart-plus-minus one-text-theme"
                                                            style="display: flex; align-items: center; gap: 5px;">
                                                            <form action="<?php echo e(route('website.cart.decrementoitem')); ?>"
                                                                method="POST" class="custom-form">
                                                                <?php echo csrf_field(); ?>
                                                                <input type="hidden" name="rowId"
                                                                    value="<?php echo e($item->ID_PRODUCTO); ?>">
                                                                <button type="submit" class="custom-button">-</button>
                                                            </form>
                                                            <input type="text" value="<?php echo e($item->CANTIDAD); ?>"
                                                                class="one-text-theme">
                                                            <form action="<?php echo e(route('website.cart.incrementoitem')); ?>"
                                                                method="POST">
                                                                <?php echo csrf_field(); ?>
                                                                <input type="hidden" name="rowId"
                                                                    value="<?php echo e($item->ID_PRODUCTO); ?>">
                                                                <button type="submit" class="custom-button">+</button>
                                                            </form>

                                                            
                                                        </div>
                                                    </td>
                                                    <td class="product-subtotal"><span
                                                            class="amount">$<?php echo e($item->SUB_TOT); ?></span>
                                                    </td>
                                                    <td>

                                                        <form action="<?php echo e(route('website.cart.removeitem')); ?>"
                                                            method="POST">
                                                            <?php echo csrf_field(); ?>
                                                            <input type="hidden" name="rowId"
                                                                value="<?php echo e($item->ID_PRODUCTO); ?>">
                                                            <button type="submit" class="btn btn-danger"
                                                                style="font-size: 12px; padding: 5px 10px;">
                                                                <i class="fa fa-trash" aria-hidden="true"></i>
                                                            </button>
                                                        </form>
                                                    </td>
                                                </tr>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php else: ?>
                                            <tr>
                                                <td colspan="6" class="text-center">
                                                    Empty cart
                                                </td>
                                            </tr>
                                            Carrito vacio
                                        <?php endif; ?>
                                    </tbody>
                                </table>
                            </div>
                            <div class="row">
                                <div class="col-12 mt-20">
                                    <a href="<?php echo e(route('website.products.index')); ?>">
                                        <button type="button" class="tp-btn-h1 one-btn-continue">Continue
                                            shopping</button>
                                    </a>
                                </div>
                            </div>
                            <?php if(!empty(session('miCarritoSuma'))): ?>
                                <div class="row justify-content-end">
                                    <div class="col-md-5">
                                        <div class="cart-page-total">
                                            <h2 class="one-text-theme">Cart totals</h2>
                                            <ul class="mb-20">
                                                <li class="one-text-theme">Total <span
                                                        class="one-text-theme">$<?php echo e(session('miCarritoSuma')); ?></span>
                                                </li>
                                            </ul>
                                            <a class="tp-btn-h1 one-btn-continue" href="<?php echo e(route('website.checkout.index')); ?>">Proceed
                                                to checkout</a>
                                        </div>
                                    </div>
                                </div>
                            <?php endif; ?>

                        </form>
                    </div>
                </div>
            </div>
        </section>
        <!-- cart-area-end -->

    </main>

    <?php echo $__env->make('website.layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <!-- JS here -->
    <?php echo $__env->make('website.layouts.scripts', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
</body>

</html>
<?php /**PATH C:\xampp\htdocs\ecommerce-phonix\resources\views/website/cart/index.blade.php ENDPATH**/ ?>