<!DOCTYPE html>
<html lang="en" data-bs-theme="dark">

@include('dashboard.layouts.head')

<body>

    <div class="wrapper">

        @include('dashboard.layouts.header')

        @include('dashboard.layouts.modal-theme')

        @include('dashboard.layouts.nav')

        <div class="page-content">
            <div class="container-fluid">

                <div class="row">
                    <div class="col-xl-12">
                        <div class="card">
                            <div class="card-body">
                                <h3 class="card-title anchor mb-1" id="overview">
                                    Welcome to your account: @if (session('usuario_data') && isset(session('usuario_data')['nombre_completo']))
                                        {{ session('usuario_data')['nombre_completo'] }}!
                                    @else
                                        Name user not data?
                                    @endif
                                </h3>
                            </div>
                        </div>
                    </div>


                </div>

            </div>

            @include('dashboard.layouts.footer')

        </div>
    </div>

    @include('dashboard.layouts.scripts')

</body>

</html>
