<div class="main-nav">
    <!-- Sidebar Logo -->
    <div class="logo-box">
        <a href="index.html" class="logo-dark">
            <img src="https://qa-phonix.1smart.mx/favicon.png" class="logo-sm" alt="logo sm">
            <img src="{{ asset('website/img/basic/logo_phonix_black.png') }}" class="logo-lg" alt="logo dark">
        </a>

        <a href="index.html" class="logo-light">
            <img src="https://qa-phonix.1smart.mx/favicon.png" class="logo-sm" alt="logo sm">
            <img src="{{ asset('website/img/basic/logo_phonix_white.png') }}" class="logo-lg" alt="logo light">
        </a>
    </div>

    <!-- Menu Toggle Button (sm-hover) -->
    <button type="button" class="button-sm-hover" aria-label="Show Full Sidebar">
        <iconify-icon icon="solar:hamburger-menu-broken" class="button-sm-hover-icon"></iconify-icon>
    </button>

    <div class="scrollbar" data-simplebar>

        <ul class="navbar-nav" id="navbar-nav">

            @if (session('tip_usr') == 1)
                <li class="menu-title">Customer</li>

                <li class="nav-item">
                    <a class="nav-link" href="{{ route('customer.home.index') }}">
                        <span class="nav-icon">
                            <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" viewBox="0 0 24 24">
                                <g fill="none" stroke="currentColor" stroke-width="1.5">
                                    <path stroke-linecap="round" d="M22 22H2m0-11l8.126-6.5a3 3 0 0 1 3.748 0L22 11" />
                                    <path stroke-linecap="round" d="M15.5 5.5v-2A.5.5 0 0 1 16 3h2.5a.5.5 0 0 1 .5.5v5"
                                        opacity="0.5" />
                                    <path stroke-linecap="round" d="M4 22V9.5M20 22V9.5" />
                                    <path
                                        d="M15 22v-5c0-1.414 0-2.121-.44-2.56C14.122 14 13.415 14 12 14s-2.121 0-2.56.44C9 14.878 9 15.585 9 17v5m5-12.5a2 2 0 1 1-4 0a2 2 0 0 1 4 0Z"
                                        opacity="0.5" />
                                </g>
                            </svg>
                        </span>
                        <span class="nav-text"> Home </span>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{ route('customer.orders.index') }}">
                        <span class="nav-icon">
                            <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" viewBox="0 0 24 24">
                                <path fill="currentColor" fill-rule="evenodd"
                                    d="M11.943 1.25h.114c2.309 0 4.118 0 5.53.19c1.444.194 2.584.6 3.479 1.494c.895.895 1.3 2.035 1.494 3.48c.19 1.411.19 3.22.19 5.529V12h-.01c.01.579.01 1.23.01 1.966v.068c0 1.371 0 2.447-.07 3.311c-.072.88-.221 1.607-.557 2.265a5.75 5.75 0 0 1-2.513 2.513c-.658.336-1.385.485-2.265.556c-.864.071-1.94.071-3.311.071H9.966c-1.371 0-2.447 0-3.311-.07c-.88-.072-1.607-.221-2.265-.557a5.75 5.75 0 0 1-2.513-2.513c-.336-.658-.484-1.385-.556-2.265c-.071-.864-.071-1.94-.071-3.311v-.068c0-.736 0-1.387.01-1.966h-.01v-.057c0-2.309 0-4.118.19-5.53c.194-1.444.6-2.584 1.494-3.479c.895-.895 2.035-1.3 3.48-1.494c1.411-.19 3.22-.19 5.529-.19M2.882 6.987a5.8 5.8 0 0 1 1.508-1.11c.658-.336 1.385-.484 2.265-.556c.864-.071 1.94-.071 3.311-.071h4.068c1.371 0 2.447 0 3.311.07c.88.073 1.607.221 2.265.557a5.8 5.8 0 0 1 1.508 1.11a13 13 0 0 0-.044-.373c-.172-1.279-.5-2.05-1.069-2.62c-.57-.569-1.34-.896-2.619-1.068c-1.3-.174-3.008-.176-5.386-.176s-4.086.002-5.386.176c-1.279.172-2.05.5-2.62 1.069c-.569.57-.896 1.34-1.068 2.619q-.024.18-.044.373m3.895-.171c-.787.064-1.295.188-1.706.397a4.25 4.25 0 0 0-1.858 1.858c-.21.411-.333.919-.397 1.706c-.065.796-.066 1.81-.066 3.223s0 2.427.066 3.223c.064.787.188 1.295.397 1.707a4.25 4.25 0 0 0 1.858 1.857c.411.21.919.333 1.706.397c.796.065 1.81.066 3.223.066h4c1.412 0 2.427 0 3.223-.066c.787-.064 1.295-.188 1.707-.397a4.25 4.25 0 0 0 1.857-1.857c.21-.412.333-.92.397-1.707c.065-.796.066-1.81.066-3.223s0-2.427-.066-3.223c-.064-.787-.188-1.295-.397-1.706a4.25 4.25 0 0 0-1.857-1.858c-.412-.21-.92-.333-1.707-.397c-.796-.065-1.81-.066-3.223-.066h-4c-1.413 0-2.427 0-3.223.066M15 11.44a.75.75 0 0 1 .06 1.058l-3.572 4a.75.75 0 0 1-1.119 0l-1.428-1.6a.75.75 0 1 1 1.118-.998l.87.973L13.94 11.5a.75.75 0 0 1 1.058-.06"
                                    clip-rule="evenodd" />
                            </svg>
                        </span>
                        <span class="nav-text"> Orders </span>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{ route('customer.profile.index') }}">
                        <span class="nav-icon">
                            <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" viewBox="0 0 24 24">
                                <path fill="currentColor" d="M12 10a4 4 0 1 0 0-8a4 4 0 0 0 0 8" />
                                <path fill="currentColor"
                                    d="M2.728 5.818a.75.75 0 1 0-1.455.364l.382 1.528a8.21 8.21 0 0 0 5.595 5.869v4.473c0 .898 0 1.648.08 2.242c.084.628.27 1.195.726 1.65c.455.456 1.022.642 1.65.726c.595.08 1.344.08 2.242.08h.104c.899 0 1.648 0 2.243-.08c.627-.084 1.194-.27 1.65-.726s.64-1.022.725-1.65c.08-.594.08-1.344.08-2.242v-4.193a2.62 2.62 0 0 1 1.856 2.208l.65 5.52a.75.75 0 0 0 1.489-.175l-.65-5.52A4.124 4.124 0 0 0 16 12.25H8.085A6.71 6.71 0 0 1 3.11 7.346z" />
                            </svg>
                        </span>
                        <span class="nav-text"> Profile </span>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{ route('customer.profile.address') }}">
                        <span class="nav-icon">
                            <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" viewBox="0 0 24 24">
                                <path fill="currentColor" d="M12 10a4 4 0 1 0 0-8a4 4 0 0 0 0 8" />
                                <path fill="currentColor"
                                    d="M2.728 5.818a.75.75 0 1 0-1.455.364l.382 1.528a8.21 8.21 0 0 0 5.595 5.869v4.473c0 .898 0 1.648.08 2.242c.084.628.27 1.195.726 1.65c.455.456 1.022.642 1.65.726c.595.08 1.344.08 2.242.08h.104c.899 0 1.648 0 2.243-.08c.627-.084 1.194-.27 1.65-.726s.64-1.022.725-1.65c.08-.594.08-1.344.08-2.242v-4.193a2.62 2.62 0 0 1 1.856 2.208l.65 5.52a.75.75 0 0 0 1.489-.175l-.65-5.52A4.124 4.124 0 0 0 16 12.25H8.085A6.71 6.71 0 0 1 3.11 7.346z" />
                            </svg>
                        </span>
                        <span class="nav-text"> My address </span>
                    </a>
                </li>
            @elseif (session('tip_usr') == 2)
                <li class="menu-title">Vendor</li>

                <li class="nav-item">
                    <a class="nav-link" href="{{ route('vendor.home.index') }}">
                        <span class="nav-icon">
                            <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" viewBox="0 0 24 24">
                                <g fill="none" stroke="currentColor" stroke-width="1.5">
                                    <path stroke-linecap="round" d="M22 22H2m0-11l8.126-6.5a3 3 0 0 1 3.748 0L22 11" />
                                    <path stroke-linecap="round" d="M15.5 5.5v-2A.5.5 0 0 1 16 3h2.5a.5.5 0 0 1 .5.5v5"
                                        opacity="0.5" />
                                    <path stroke-linecap="round" d="M4 22V9.5M20 22V9.5" />
                                    <path
                                        d="M15 22v-5c0-1.414 0-2.121-.44-2.56C14.122 14 13.415 14 12 14s-2.121 0-2.56.44C9 14.878 9 15.585 9 17v5m5-12.5a2 2 0 1 1-4 0a2 2 0 0 1 4 0Z"
                                        opacity="0.5" />
                                </g>
                            </svg>
                        </span>
                        <span class="nav-text"> Home </span>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{ route('vendor.orders.index') }}">
                        <span class="nav-icon">
                            <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" viewBox="0 0 24 24">
                                <path fill="currentColor" fill-rule="evenodd"
                                    d="M11.943 1.25h.114c2.309 0 4.118 0 5.53.19c1.444.194 2.584.6 3.479 1.494c.895.895 1.3 2.035 1.494 3.48c.19 1.411.19 3.22.19 5.529V12h-.01c.01.579.01 1.23.01 1.966v.068c0 1.371 0 2.447-.07 3.311c-.072.88-.221 1.607-.557 2.265a5.75 5.75 0 0 1-2.513 2.513c-.658.336-1.385.485-2.265.556c-.864.071-1.94.071-3.311.071H9.966c-1.371 0-2.447 0-3.311-.07c-.88-.072-1.607-.221-2.265-.557a5.75 5.75 0 0 1-2.513-2.513c-.336-.658-.484-1.385-.556-2.265c-.071-.864-.071-1.94-.071-3.311v-.068c0-.736 0-1.387.01-1.966h-.01v-.057c0-2.309 0-4.118.19-5.53c.194-1.444.6-2.584 1.494-3.479c.895-.895 2.035-1.3 3.48-1.494c1.411-.19 3.22-.19 5.529-.19M2.882 6.987a5.8 5.8 0 0 1 1.508-1.11c.658-.336 1.385-.484 2.265-.556c.864-.071 1.94-.071 3.311-.071h4.068c1.371 0 2.447 0 3.311.07c.88.073 1.607.221 2.265.557a5.8 5.8 0 0 1 1.508 1.11a13 13 0 0 0-.044-.373c-.172-1.279-.5-2.05-1.069-2.62c-.57-.569-1.34-.896-2.619-1.068c-1.3-.174-3.008-.176-5.386-.176s-4.086.002-5.386.176c-1.279.172-2.05.5-2.62 1.069c-.569.57-.896 1.34-1.068 2.619q-.024.18-.044.373m3.895-.171c-.787.064-1.295.188-1.706.397a4.25 4.25 0 0 0-1.858 1.858c-.21.411-.333.919-.397 1.706c-.065.796-.066 1.81-.066 3.223s0 2.427.066 3.223c.064.787.188 1.295.397 1.707a4.25 4.25 0 0 0 1.858 1.857c.411.21.919.333 1.706.397c.796.065 1.81.066 3.223.066h4c1.412 0 2.427 0 3.223-.066c.787-.064 1.295-.188 1.707-.397a4.25 4.25 0 0 0 1.857-1.857c.21-.412.333-.92.397-1.707c.065-.796.066-1.81.066-3.223s0-2.427-.066-3.223c-.064-.787-.188-1.295-.397-1.706a4.25 4.25 0 0 0-1.857-1.858c-.412-.21-.92-.333-1.707-.397c-.796-.065-1.81-.066-3.223-.066h-4c-1.413 0-2.427 0-3.223.066M15 11.44a.75.75 0 0 1 .06 1.058l-3.572 4a.75.75 0 0 1-1.119 0l-1.428-1.6a.75.75 0 1 1 1.118-.998l.87.973L13.94 11.5a.75.75 0 0 1 1.058-.06"
                                    clip-rule="evenodd" />
                            </svg>
                        </span>
                        <span class="nav-text"> Purchase Order </span>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{ route('vendor.products.index') }}">
                        <span class="nav-icon">
                            <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em"
                                viewBox="0 0 24 24">
                                <g fill="none" stroke="currentColor" stroke-width="1.5">
                                    <path stroke-linecap="round"
                                        d="M7.529 16.471C2.59 11.533.589 5.527 3.058 3.058C5.048 1.067 9.338 1.982 13.513 5m2.958 2.529c4.939 4.939 6.94 10.944 4.471 13.413c-1.989 1.989-6.27 1.078-10.442-1.932M20.942 3.058c2.47 2.469.468 8.474-4.47 13.413c-4.94 4.939-10.945 6.94-13.414 4.471c-1.991-1.99-1.076-6.28 1.942-10.455a24.5 24.5 0 0 1 2.529-2.958C12.468 2.59 18.473.589 20.942 3.058Z" />
                                    <path d="M14.5 12a2.5 2.5 0 1 1-5 0a2.5 2.5 0 0 1 5 0Z" />
                                </g>
                            </svg>
                        </span>
                        <span class="nav-text"> Products </span>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{ route('vendor.layouts.index') }}">
                        <span class="nav-icon">
                            <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em"
                                viewBox="0 0 24 24">
                                <path fill="currentColor" fill-rule="evenodd"
                                    d="M4.25 8.675A3.751 3.751 0 1 1 8.675 4.25h6.65a3.751 3.751 0 1 1 4.425 4.425v6.65a3.751 3.751 0 1 1-4.425 4.425h-6.65a3.751 3.751 0 1 1-4.425-4.425zM2.75 5a2.25 2.25 0 1 1 4.5 0a2.25 2.25 0 0 1-4.5 0m3 10.325v-6.65A3.75 3.75 0 0 0 8.675 5.75h6.65a3.76 3.76 0 0 0 2.925 2.925v6.65a3.76 3.76 0 0 0-2.925 2.925h-6.65a3.76 3.76 0 0 0-2.925-2.925M5 16.75a2.25 2.25 0 1 0 0 4.5a2.25 2.25 0 0 0 0-4.5M21.25 5a2.25 2.25 0 1 1-4.5 0a2.25 2.25 0 0 1 4.5 0m-4.5 14a2.25 2.25 0 1 1 4.5 0a2.25 2.25 0 0 1-4.5 0"
                                    clip-rule="evenodd" />
                            </svg>
                        </span>
                        <span class="nav-text"> Layouts </span>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{ route('vendor.profile.index') }}">
                        <span class="nav-icon">
                            <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em"
                                viewBox="0 0 24 24">
                                <path fill="currentColor" d="M12 10a4 4 0 1 0 0-8a4 4 0 0 0 0 8" />
                                <path fill="currentColor"
                                    d="M2.728 5.818a.75.75 0 1 0-1.455.364l.382 1.528a8.21 8.21 0 0 0 5.595 5.869v4.473c0 .898 0 1.648.08 2.242c.084.628.27 1.195.726 1.65c.455.456 1.022.642 1.65.726c.595.08 1.344.08 2.242.08h.104c.899 0 1.648 0 2.243-.08c.627-.084 1.194-.27 1.65-.726s.64-1.022.725-1.65c.08-.594.08-1.344.08-2.242v-4.193a2.62 2.62 0 0 1 1.856 2.208l.65 5.52a.75.75 0 0 0 1.489-.175l-.65-5.52A4.124 4.124 0 0 0 16 12.25H8.085A6.71 6.71 0 0 1 3.11 7.346z" />
                            </svg>
                        </span>
                        <span class="nav-text"> Profile </span>
                    </a>
                </li>
            @elseif (session('tip_usr') == 3)
                <li class="menu-title">Agent</li>

                <li class="nav-item">
                    <a class="nav-link" href="{{ route('agent.home.index') }}">
                        <span class="nav-icon">
                            <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em"
                                viewBox="0 0 24 24">
                                <g fill="none" stroke="currentColor" stroke-width="1.5">
                                    <path stroke-linecap="round" d="M22 22H2m0-11l8.126-6.5a3 3 0 0 1 3.748 0L22 11" />
                                    <path stroke-linecap="round" d="M15.5 5.5v-2A.5.5 0 0 1 16 3h2.5a.5.5 0 0 1 .5.5v5"
                                        opacity="0.5" />
                                    <path stroke-linecap="round" d="M4 22V9.5M20 22V9.5" />
                                    <path
                                        d="M15 22v-5c0-1.414 0-2.121-.44-2.56C14.122 14 13.415 14 12 14s-2.121 0-2.56.44C9 14.878 9 15.585 9 17v5m5-12.5a2 2 0 1 1-4 0a2 2 0 0 1 4 0Z"
                                        opacity="0.5" />
                                </g>
                            </svg>
                        </span>
                        <span class="nav-text"> Home </span>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{ route('agent.orders.index') }}">
                        <span class="nav-icon">
                            <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em"
                                viewBox="0 0 24 24">
                                <path fill="currentColor" fill-rule="evenodd"
                                    d="M11.943 1.25h.114c2.309 0 4.118 0 5.53.19c1.444.194 2.584.6 3.479 1.494c.895.895 1.3 2.035 1.494 3.48c.19 1.411.19 3.22.19 5.529V12h-.01c.01.579.01 1.23.01 1.966v.068c0 1.371 0 2.447-.07 3.311c-.072.88-.221 1.607-.557 2.265a5.75 5.75 0 0 1-2.513 2.513c-.658.336-1.385.485-2.265.556c-.864.071-1.94.071-3.311.071H9.966c-1.371 0-2.447 0-3.311-.07c-.88-.072-1.607-.221-2.265-.557a5.75 5.75 0 0 1-2.513-2.513c-.336-.658-.484-1.385-.556-2.265c-.071-.864-.071-1.94-.071-3.311v-.068c0-.736 0-1.387.01-1.966h-.01v-.057c0-2.309 0-4.118.19-5.53c.194-1.444.6-2.584 1.494-3.479c.895-.895 2.035-1.3 3.48-1.494c1.411-.19 3.22-.19 5.529-.19M2.882 6.987a5.8 5.8 0 0 1 1.508-1.11c.658-.336 1.385-.484 2.265-.556c.864-.071 1.94-.071 3.311-.071h4.068c1.371 0 2.447 0 3.311.07c.88.073 1.607.221 2.265.557a5.8 5.8 0 0 1 1.508 1.11a13 13 0 0 0-.044-.373c-.172-1.279-.5-2.05-1.069-2.62c-.57-.569-1.34-.896-2.619-1.068c-1.3-.174-3.008-.176-5.386-.176s-4.086.002-5.386.176c-1.279.172-2.05.5-2.62 1.069c-.569.57-.896 1.34-1.068 2.619q-.024.18-.044.373m3.895-.171c-.787.064-1.295.188-1.706.397a4.25 4.25 0 0 0-1.858 1.858c-.21.411-.333.919-.397 1.706c-.065.796-.066 1.81-.066 3.223s0 2.427.066 3.223c.064.787.188 1.295.397 1.707a4.25 4.25 0 0 0 1.858 1.857c.411.21.919.333 1.706.397c.796.065 1.81.066 3.223.066h4c1.412 0 2.427 0 3.223-.066c.787-.064 1.295-.188 1.707-.397a4.25 4.25 0 0 0 1.857-1.857c.21-.412.333-.92.397-1.707c.065-.796.066-1.81.066-3.223s0-2.427-.066-3.223c-.064-.787-.188-1.295-.397-1.706a4.25 4.25 0 0 0-1.857-1.858c-.412-.21-.92-.333-1.707-.397c-.796-.065-1.81-.066-3.223-.066h-4c-1.413 0-2.427 0-3.223.066M15 11.44a.75.75 0 0 1 .06 1.058l-3.572 4a.75.75 0 0 1-1.119 0l-1.428-1.6a.75.75 0 1 1 1.118-.998l.87.973L13.94 11.5a.75.75 0 0 1 1.058-.06"
                                    clip-rule="evenodd" />
                            </svg>
                        </span>
                        <span class="nav-text"> Orders </span>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{ route('agent.profile.index') }}">
                        <span class="nav-icon">
                            <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em"
                                viewBox="0 0 24 24">
                                <path fill="currentColor" d="M12 10a4 4 0 1 0 0-8a4 4 0 0 0 0 8" />
                                <path fill="currentColor"
                                    d="M2.728 5.818a.75.75 0 1 0-1.455.364l.382 1.528a8.21 8.21 0 0 0 5.595 5.869v4.473c0 .898 0 1.648.08 2.242c.084.628.27 1.195.726 1.65c.455.456 1.022.642 1.65.726c.595.08 1.344.08 2.242.08h.104c.899 0 1.648 0 2.243-.08c.627-.084 1.194-.27 1.65-.726s.64-1.022.725-1.65c.08-.594.08-1.344.08-2.242v-4.193a2.62 2.62 0 0 1 1.856 2.208l.65 5.52a.75.75 0 0 0 1.489-.175l-.65-5.52A4.124 4.124 0 0 0 16 12.25H8.085A6.71 6.71 0 0 1 3.11 7.346z" />
                            </svg>
                        </span>
                        <span class="nav-text"> Profile </span>
                    </a>
                </li>
            @endif


            <li class="nav-item">
                <a class="nav-link" href="{{ route('website.home.index') }}">
                    <span class="nav-icon">
                        <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" viewBox="0 0 24 24">
                            <path fill="currentColor"
                                d="M16.528 2H7.472c-1.203 0-1.804 0-2.288.299c-.483.298-.752.836-1.29 1.912L2.491 7.76c-.325.82-.608 1.786-.062 2.479A2 2 0 0 0 6 9a2 2 0 1 0 4 0a2 2 0 1 0 4 0a2 2 0 1 0 4 0a2 2 0 0 0 3.571 1.238c.546-.693.262-1.659-.062-2.479l-1.404-3.548c-.538-1.076-.806-1.614-1.29-1.912C18.332 2 17.73 2 16.528 2" />
                            <path fill="currentColor" fill-rule="evenodd"
                                d="M20 21.25h2a.75.75 0 0 1 0 1.5H2a.75.75 0 0 1 0-1.5h2V12.5c.744 0 1.433-.232 2-.627a3.5 3.5 0 0 0 2 .627c.744 0 1.433-.232 2-.627a3.5 3.5 0 0 0 2 .627c.744 0 1.433-.232 2-.627a3.5 3.5 0 0 0 2 .627c.744 0 1.433-.232 2-.627a3.5 3.5 0 0 0 2 .627zm-10.5 0h5V18.5c0-.935 0-1.402-.201-1.75a1.5 1.5 0 0 0-.549-.55c-.348-.2-.815-.2-1.75-.2s-1.402 0-1.75.2a1.5 1.5 0 0 0-.549.55c-.201.348-.201.815-.201 1.75z"
                                clip-rule="evenodd" />
                        </svg>
                    </span>
                    <span class="nav-text"> Ecommerce </span>
                </a>
            </li>
            <li class="nav-item">
                <a class="nav-link" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">
                    <span class="nav-icon">
                        <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" viewBox="0 0 1200 1200"><path fill="currentColor" d="M513.94 0v693.97h172.12V0zM175.708 175.708C67.129 284.287 0 434.314 0 600c0 331.371 268.629 600 600 600s600-268.629 600-600c0-165.686-67.13-315.713-175.708-424.292l-120.85 120.85c77.66 77.658 125.684 184.952 125.684 303.442c0 236.981-192.146 429.126-429.126 429.126c-236.981 0-429.126-192.145-429.126-429.126c0-118.49 48.025-225.784 125.684-303.442z"/></svg>
                    </span>
                    <span class="nav-text"> Logout </span>
                </a>
            </li>
        </ul>
    </div>
</div>
