<div class="product-lists-top">
    <div class="product__filter-wrap">
        <div class="row align-items-center">
            <div class="col-xxl-6 col-xl-6 col-lg-6 col-md-4">
                <div class="product__filter d-sm-flex align-items-center">

                    <div class="product__result">
                        <p class="one-text-theme">Showing {{ $json['prd_x_pag'] }} of {{ $json['paginas'] }} pages</p>
                    </div>
                </div>
            </div>
            <div class="col-xxl-6 col-xl-6 col-lg-6 col-md-8">
                <div class="product__filter-right d-flex align-items-center justify-content-md-end">
                    <div class="product__sorting product__show-no">
                        <a>
                            <input type="radio" name="filterOption" value="1"> <span class="one-text-filterOption">Latest</span>
                        </a>
                        <a>
                            <input type="radio" name="filterOption" value="2"> <span class="one-text-filterOption">Popularity</span> 
                        </a>
                        <a>
                            <input type="radio" name="filterOption" value="3"> <span class="one-text-filterOption">Low price</span> 
                        </a>
                        <a>
                            <input type="radio" name="filterOption" value="4"> <span class="one-text-filterOption">High price</span> 
                        </a>
                        
                        <script>
                            // Al cargar la página, verificamos si la URL contiene el parámetro 'flt'
                            document.addEventListener("DOMContentLoaded", function() {
                                const currentUrl = new URL(window.location.href);
                                const fltValue = currentUrl.searchParams.get('fil');
                        
                                if (fltValue) {
                                    // Seleccionamos el radio con el valor correspondiente
                                    const radioToSelect = document.querySelector(`input[name="filterOption"][value="${fltValue}"]`);
                                    if (radioToSelect) {
                                        radioToSelect.checked = true;
                                    }
                                }
                            });
                        
                            // Agregamos el evento change a cada radio para redirigir cuando se selecciona una opción
                            document.querySelectorAll('input[name="filterOption"]').forEach(function(radio) {
                                radio.addEventListener('change', function() {
                                    if (this.checked) {
                                        const selectedValue = this.value;
                                        console.log("Selected value:", selectedValue); // Para depuración
                        
                                        // Obtenemos la URL actual
                                        const currentUrl = new URL(window.location.href);
                        
                                        // Verificamos si el parámetro 'flt' ya existe en la URL
                                        if (currentUrl.searchParams.has('fil')) {
                                            // Si existe, actualizamos el valor del parámetro 'flt'
                                            currentUrl.searchParams.set('fil', selectedValue);
                                        } else {
                                            // Si no existe, agregamos el parámetro 'flt'
                                            currentUrl.searchParams.append('fil', selectedValue);
                                        }
                        
                                        console.log("New URL:", currentUrl.toString()); // Para depuración
                        
                                        // Redirigimos a la nueva URL con el parámetro actualizado
                                        window.location.href = currentUrl.toString();
                                    }
                                });
                            });
                        </script>
                        


                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
