<div class="tab-content" id="productGridTabContent">
    <div class="tab-pane fade  show active" id="FourCol" role="tabpanel" aria-labelledby="FourCol-tab">
        <div class="tp-wrapper">
            <div class="row g-0">
                @if (!empty($products))
                    @foreach ($products as $product)
                        <div class="col-xl-4 col-lg-4 col-md-6 col-sm-6">
                            <div class="product__item product__item-d">
                                <div class="product__thumb fix">
                                    <div class="product-image w-img">
                                        <a href="{{ route('website.products.show', ['name' => $product['nombre'], 'cod' => base64_encode($product['codigo']), 'id' => $product['id']]) }}">
                                            <img src="{{ $product['registros_fotos'][0]['url_foto'] }}" alt="product">
                                        </a>
                                    </div>
                                    <div class="product-action">
                                        {{--  <a href="#" class="icon-box icon-box-1" data-bs-toggle="modal"
                                            data-bs-target="#productModalId_{{ $product['id'] }}">
                                            <i class="fal fa-eye"></i>
                                            <i class="fal fa-eye"></i>
                                        </a>
                                        <a href="#" class="icon-box icon-box-1">
                                            <i class="fal fa-heart"></i>
                                            <i class="fal fa-heart"></i>
                                        </a>
                                        <a href="#" class="icon-box icon-box-1">
                                            <i class="fal fa-layer-group"></i>
                                            <i class="fal fa-layer-group"></i>
                                        </a>  --}}
                                    </div>
                                </div>
                                <div class="product__content-3" style="margin-top: 20px">
                                    <h4 style="text-align: center; margin-bottom: 20px"><a
                                            href="{{ route('website.products.show', ['name' => $product['nombre'], 'cod' => base64_encode($product['codigo']), 'id' => $product['id']]) }}" class="one-karina-moo">{{ $product['nombre'] }}</a>
                                    </h4>
                                    <div class="rating mb-5">

                                        <div class="one-karina-moo"><strong>PARTNUMBER:</strong> {{ $product['part_number'] }}</div>
                                        <div class="one-karina-moo"><strong>CONDITION:</strong> {{ $product['condicion'] }}</div>
                                    </div>
                                    <div class="price mb-10">
                                        <span class="one-karina-moo">${{ $product['precio'] }}</span>
                                    </div>
                                </div>
                                <div class="product__add-cart-s text-center">
                                    <form action="{{ route('website.carrito.add') }}" method="POST">
                                        @csrf
                                        <input type="hidden" name="nombreDB" value="{{ $product['nombre'] }}">
                                        <input type="hidden" name="imgDB"
                                            value="{{ $product['registros_fotos'][0]['url_foto'] }}">
                                        <input type="hidden" name="precioDB" value="{{ $product['precio'] }}">
                                        <input type="hidden" name="id" value="{{ $product['id'] }}">
                                        <input type="hidden" name="piezasDB" value="1">
                                        <input type="hidden" name="stockDB" value="{{ $product['existencias'] }}">
                                        <input type="hidden" name="linkDB" value="{{ env('APP_URL') }}">
                                        <input type="hidden" name="unidadMed" value="pzas">
                                        <input type="hidden" name="stockDB" value="{{ $product['existencias'] }}">
                                        <input type="hidden" name="codigoDB" value="{{ $product['codigo'] }}">
                                        <button type="submit"
                                            class="cart-btn d-flex mb-10 align-items-center justify-content-center w-100 auth-action-autenticate">
                                            Add to Cart
                                        </button>
                                    </form>

                                    {{--  <button type="button"
                                        class="wc-checkout d-flex align-items-center justify-content-center w-100"
                                        data-bs-toggle="modal" data-bs-target="#productModalId">
                                        Quick View
                                    </button>  --}}
                                </div>
                            </div>
                        </div>
                    @endforeach
                @else
                    <span class="text-center mt-10">{{ $mensaje }}</span>
                @endif

            </div>
        </div>
    </div>
</div>
