<div class="product__details-content">
    <h6 class="one-text-theme mt-15">{{ $details['nombre'] }}</h6>
    <div class="pd-rating mb-10">
        <span class="one-text-theme"><strong>PARTNUMBER: </strong> {{ $details['part_number'] }}</span>
    </div>
    <div class="price mb-10">
        <span>${{ $details['precio'] }}</span>
    </div>
    <div class="features-des mb-20 mt-10 one-text-theme">
        <ul>
            @foreach ($details['registros_caracteristicas'] as $carac)
                @if ($carac['caracteristica'] == 'Brand')
                    <li><i class="fas fa-circle" style="font-size: 8px"></i> Brand:
                        {{ $carac['valor'] }}</li>
                @elseif ($carac['caracteristica'] == 'Display Size')
                    <li><i class="fas fa-circle" style="font-size: 8px"></i> Display Size:
                        {{ $carac['valor'] }}</li>
                @elseif ($carac['caracteristica'] == 'Color')
                    <li><i class="fas fa-circle" style="font-size: 8px"></i> Color:
                        {{ $carac['valor'] }}</li>
                @endif
            @endforeach

        </ul>
    </div>
    <div class="product-stock mb-20">
        <h5 class="one-text-theme">Availability: <span class="one-text-theme">
                {{--  @if ($details['existencias'] == 0)
                    @if (!$details['ETA'] == 0)
                        {{ $details['ETA'] }} in transit <small>(in {{ $details['cantidad'] }})</small>
                    @endif
                @else
                @endif  --}}
                {{ $details['existencias'] }} in stock
            </span>
        </h5>
        {{--  <h5 class="one-text-theme">ETA:
            <span class="one-text-theme">
                {{ $details['ETA'] }}
            </span>
        </h5>
        <h5 class="one-text-theme">MOQ:
            <span class="one-text-theme">
                {{ $details['MOQ'] }}
            </span>
        </h5>  --}}
    </div>







    <style>
        input[type=number]::-webkit-inner-spin-button,
        input[type=number]::-webkit-outer-spin-button {
            -webkit-appearance: none;
            margin: 0;
        }

        input[type=number] {
            -moz-appearance: textfield;
        }

        input[type=number] {
            width: auto;
            text-align: center;
            padding: 0;
            border: 1px solid #ccc;
            border-radius: 4px;
        }
    </style>
    <div class="karina" style="display: flex; ">
        <form id="formulario" action="{{ route('website.carrito.add') }}" method="POST"
            style="display: flex; align-items: center; gap: 5px">
            @csrf

            <input type="hidden" name="nombreDB" value="{{ $details['nombre'] }}">
            <input type="hidden" name="imgDB" value="{{ $details['registros_fotos'][0]['url_foto'] }}">
            <input type="hidden" name="precioDB" value="{{ $details['precio'] }}">
            <input type="hidden" name="id" value="{{ $details['id'] }}">
            <input type="hidden" name="stockDB" value="{{ $details['existencias'] }}">
            <input type="hidden" name="linkDB"
                value="{{ route('website.products.show', ['name' => $details['nombre'], 'cod' => base64_encode($details['codigo']), 'id' => $details['id']]) }}">
            <input type="hidden" name="unidadMed" value="pzas">
            <input type="hidden" name="stockDB" value="{{ $details['existencias'] }}">
            <input type="hidden" name="codigoDB" value="{{ $details['codigo'] }}">


            <button type="button" id="desc-minus-{{ $details['id'] }}" class="desc-minus"
                style="background-color: #e2f6ed">-</button>
            <input type="number" name="piezasDB" id="input-descuento-{{ $details['id'] }}" class="input-descuento"
                style="width: 45px; text-align: center" min="{{ $details['MOQ'] }}" value="{{ $details['MOQ'] }}">
            <button type="button" id="desc-plus-{{ $details['id'] }}" class="desc-plus"
                style="margin-right: 10px; background-color: #e2f6ed">+</button>
            <button class="ntn-shop-one auth-action-autenticate" type="submit" name="btn" title="Add">
                <i class="fa fa-shopping-cart"></i> Add
            </button>
        </form>
    </div>


    <script>
        document.querySelectorAll('.karina').forEach((product) => {
            const minusButton = product.querySelector('.desc-minus');
            const plusButton = product.querySelector('.desc-plus');
            const input = product.querySelector('.input-descuento');

            minusButton.addEventListener('click', () => {
                input.value = Math.max(1, parseFloat(input.value) - 1);
            });

            plusButton.addEventListener('click', () => {
                input.value = Math.min(input.getAttribute('max') || 100, parseFloat(input.value) +
                    1);
            });
        });
    </script>











    {{--  <form class="cart-option mb-15" action="{{ route('website.carrito.add') }}" method="POST">
        @csrf
        <div class="product-quantity mr-20">
            <div class="cart-plus-minus p-relative">
                <input type="text" name="piezasDB" value="{{ $details['MOQ'] }}" class="one-text-theme" min="{{ $details['MOQ'] }}">
                <input type="hidden" name="nombreDB" value="{{ $details['nombre'] }}">
                <input type="hidden" name="imgDB" value="{{ $details['registros_fotos'][0]['url_foto'] }}">
                <input type="hidden" name="precioDB" value="{{ $details['precio'] }}">
                <input type="hidden" name="id" value="{{ $details['id'] }}">
                <input type="hidden" name="stockDB" value="{{ $details['existencias'] }}">
                <input type="hidden" name="linkDB" value="{{ env('APP_URL') }}">
                <input type="hidden" name="unidadMed" value="pzas">
                <input type="hidden" name="stockDB" value="{{ $details['existencias'] }}">
                <input type="hidden" name="codigoDB" value="{{ $details['codigo'] }}">
                <div class="dec qtybutton one-qty-button">-</div>
                <div class="inc qtybutton one-qty-button">+</div>
            </div>
        </div>
        <button type="submit" class="cart-btn one-cart-btn">Add to cart</button>
    </form>  --}}
    <div class="details-meta">
        <div class="d-meta-left">
            <div class="dm-item one-text-theme">
                <a href="{{ route('website.products.copyLink') }}" id="copyLinkBtn" class="one-cart-copy-btn">
                    <i class="fal fa-share-alt"></i>Copy product link
                </a>
                <input type="text" id="hiddenLink" style="position: absolute; left: -9999px;">

                <script>
                    document.getElementById('copyLinkBtn').addEventListener('click', function() {
                        let currentUrl = window.location.href;
                        currentUrl = currentUrl.replace('%23', '#');
                        const hiddenLinkInput = document.getElementById('hiddenLink');
                        hiddenLinkInput.value = currentUrl;
                        hiddenLinkInput.select();
                        hiddenLinkInput.setSelectionRange(0, 99999);
                        document.execCommand('copy');
                    });
                </script>
            </div>
        </div>
    </div>
    <div class="product-tag-area mt-15">
        <div class="product_info one-text-theme">
            <span class="sku_wrapper">
                <span class="title one-text-theme">ETA:</span>
                <span class="sku">{{ $details['ETA'] }}</span>
            </span>
            <span class="tagged_as">
                <span class="title one-text-theme">MOQ:</span>
                <span class="sku">{{ $details['MOQ'] }}</span>
            </span>
            <span class="posted_in">
                <span class="title one-text-theme">Categories:</span>
                <span
                    class="sku">{{ implode(', ', array_column($details['registros_familias'], 'familia')) }}</span>
            </span>
        </div>
    </div>
</div>
