<section class="recomand-product-area">
    <div class="container">
        <div class="row">
            <div class="col-xl-12">
                <div class="section__head d-flex justify-content-between mb-10">
                    <div class="section__title">
                        <h5 class="st-titile one-text-theme">Related Products</h5>
                    </div>
                </div>
            </div>
        </div>
        <div class="row g-0">
            <div class="product-bs-slider-2">
                <div class="product-slider-3 swiper-container">
                    <div class="swiper-wrapper">
                        @foreach ($details['relacionados'] as $rela)
                            <div class="product__item mb-20 swiper-slide">
                                <div class="product__thumb fix">
                                    <div class="product-image w-img">
                                        <a href="product-details.html">
                                            <img src="{{ $rela['registros_fotos'][0]['url_foto'] }}" alt="product">
                                        </a>
                                    </div>
                                    <div class="product-action">
                                        {{--  <a href="#" class="icon-box icon-box-1" data-bs-toggle="modal"
                                            data-bs-target="#productModalId">
                                            <i class="fal fa-eye"></i>
                                            <i class="fal fa-eye"></i>
                                        </a>
                                        <a href="#" class="icon-box icon-box-1">
                                            <i class="fal fa-heart"></i>
                                            <i class="fal fa-heart"></i>
                                        </a>
                                        <a href="#" class="icon-box icon-box-1">
                                            <i class="fal fa-layer-group"></i>
                                            <i class="fal fa-layer-group"></i>
                                        </a>  --}}
                                    </div>
                                </div>
                                <div class="product__content">
                                    <h6>
                                        <a
                                            href="{{ route('website.products.show', ['name' => $rela['nombre'], 'cod' => base64_encode($rela['codigo']), 'id' => $rela['id']]) }}">{{ $rela['nombre'] }}
                                        </a>
                                    </h6>
                                    <div class="rating mb-5">
                                        <span><strong>PARTNUMBER: </strong>{{ $rela['part_number'] }}</span>
                                    </div>
                                    <div class="price">
                                        <span>${{ $rela['precio'] }}</span>
                                    </div>
                                </div>
                                <div class="product__add-cart text-center">
                                    <button type="button"
                                        class="cart-btn product-modal-sidebar-open-btn d-flex align-items-center justify-content-center w-100">
                                        Add to Cart
                                    </button>
                                </div>
                            </div>
                        @endforeach
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>