<!DOCTYPE html>
@include('website.layouts.auth.head')

<body>
    <div class="container fade-in">
        <div class="logo">
            <a href="{{ route('website.home.index') }}" class="logo-image"><img
                    src="{{ asset('website/img/basic/logo_phonix_black.png') }}" alt="logo">
            </a>

        </div>

        @if (session('mensaje'))
            <div class="alert-error-login">
                <i class="fa fa-exclamation-triangle" aria-hidden="true"></i> {{ session('mensaje') }}
            </div>
        @endif
        @endif
        @if (session('mensajeExito'))
            <div class="alert-succes-login">
                <i class="fa fa-check" aria-hidden="true"></i> {{ session('mensajeExito') }}
            </div>
        @endif
        @if (!session('mensajeExito'))
            <p>
                You already have an account?
                <a href="#" onclick="redirectWithAnimation('{{ route('website.auth.login') }}')">
                    Login
                </a>
            </p>
        @endif
    </div>

    <script src="{{ asset('website/js/script-login.js') }}"></script>
</body>

</html>
