<div class="col-sm-6 col-md-4 col-lg-3 col-xl-3 col-xxl-2">
    <form class="product__item product__item-2 b-radius-2 mb-20 one-section-product-theme"
        action="{{ route('website.carrito.add') }}" method="POST">
        @csrf
        <div class="product__thumb fix">
            <div class="product-image w-img">
                <a
                    href="{{ route('website.products.show', ['name' => $item['nombre'], 'cod' => base64_encode($item['codigo']), 'id' => $item['id']]) }}">
                    <img src="{{ $item['registros_fotos'][0]['url_foto'] }}" alt="product">
                </a>
            </div>
            {{--  <div class="product-action product-action-2">
                <a href="#" class="icon-box icon-box-1" data-bs-toggle="modal"
                    data-bs-target="#productModalId">
                    <i class="fal fa-eye"></i>
                    <i class="fal fa-eye"></i>
                </a>
                <a href="#" class="icon-box icon-box-1">
                    <i class="fal fa-heart"></i>
                    <i class="fal fa-heart"></i>
                </a>
                <a href="#" class="icon-box icon-box-1">
                    <i class="fal fa-layer-group"></i>
                    <i class="fal fa-layer-group"></i>
                </a>
            </div>  --}}
        </div>
        <div class="product__content product__content-2 mt-3">
            <h6><a
                    href="{{ route('website.products.show', ['name' => $item['nombre'], 'cod' => base64_encode($item['codigo']), 'id' => $item['id']]) }}">{{ $item['nombre'] }}</a>
            </h6>
            <div class="rating mt-10">
                <span><strong>PARTNUMBER:</strong> {{ $item['part_number'] }}</span>
            </div>
            <div class="rating">
                <span><strong>CODIGO:</strong> {{ $item['codigo'] }}</span>
            </div>
            <div class="rating mb-5">
                <span><strong>CONDITION:</strong> {{ $item['condicion'] }}</span>
            </div>
            @if (session('usuario_autenticado'))
                <div class="price">
                    <span>${{ $item['precio'] }}</span>
                </div>
            @endif

        </div>
        <div class="product__add-cart text-center">
            <input type="hidden" name="nombreDB" value="{{ $item['nombre'] }}">
            <input type="hidden" name="imgDB" value="{{ $item['registros_fotos'][0]['url_foto'] }}">
            <input type="hidden" name="precioDB" value="{{ $item['precio'] }}">
            <input type="hidden" name="id" value="{{ $item['id'] }}">
            <input type="hidden" name="piezasDB" value="1">
            <input type="hidden" name="stockDB" value="{{ $item['existencias'] }}">
            <input type="hidden" name="linkDB" value="{{ env('APP_URL') }}">
            <input type="hidden" name="unidadMed" value="pzas">
            <input type="hidden" name="stockDB" value="{{ $item['existencias'] }}">
            <input type="hidden" name="codigoDB" value="{{ $item['codigo'] }}">
            <button type="submit"
                class="cart-btn-3 product-modal-sidebar-open-btn d-flex align-items-center justify-content-center w-100 one-button-car-theme auth-action-autenticate">
                Add to Cart
            </button>
        </div>
    </form>
</div>
