<!DOCTYPE html>
<html class="no-js" lang="zxx">
<?php echo $__env->make('website.layouts.head', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<body>
    <?php echo $__env->make('website.layouts.button-back-to-top', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <?php echo $__env->make('website.layouts.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <?php echo $__env->make('website.layouts.offcanvas', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <div class="one-container-about">
        <section class="mt-50 mb-50">
            <div>
                <h1 style="text-align: center"> Phonix Warranty, Cancellation and Conditions Policies </h1>
            </div>
            <h4>
                Dear Customer, <br>
                We appreciate your preference for PHONIX LLC. <br>
                Below are our policies related to product warranty and order management: <br>
            </h4><br>
            <div><h3> 1. Product Guarantee: </h3></div>
            <div>
                <h4>All products are backed by the manufacturer's limited warranty. PHONIX LLC does not offer additional
                    warranty service. It is essential that you verify product specifications directly with the
                    manufacturer, as we assume no responsibility for typographical errors (Verify Part Number).</h4>
            </div><br>
            <div><h3> 2. Return Policy: </h3></div>
            <div>
                <h4>All orders are final. Returns are not accepted. In case of cancellations, a 10% restocking fee will
                    apply.</h4>
            </div><br>
            <div><h3> 3. Payment Confirmation: </h3></div>
            <div>
                <h4>PHONIX LLC reserves the right to cancel any sales order if payment confirmation is not received
                    within 48 business hours.</h4>
            </div><br>
            <div><h3> 4. Merchandise Inspection: </h3></div>
            <div>
                <h4>Upon receiving your cargo, it is essential that you check the packaging for damage before signing
                    for receipt of the merchandise.</h4>
            </div><br>
            <div><h3> 5. Processing Times: </h3></div>
            <div>
                <h4>Orders may take up to 2 business days to process after credit confirmation.</h4>
            </div><br>
            <div><h3> 6. Banking Commissions: </h3></div>
            <div>
                <h4>PHONIX LLC is not responsible for any banking fees associated with transactions.</h4>
            </div><br>

            <h4> We appreciate your understanding and remind you that we are here to help you with any additional questions. </h4>

        </section>
    </div>



    <?php echo $__env->make('website.layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <!-- JS here -->
    <?php echo $__env->make('website.layouts.scripts', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
</body>

</html>
<?php /**PATH C:\xampp\htdocs\ecommerce-phonix\resources\views/website/policies/index.blade.php ENDPATH**/ ?>