<!DOCTYPE html>
<html class="no-js" lang="zxx">
<?php echo $__env->make('website.layouts.head', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<body>
    <?php echo $__env->make('website.layouts.button-back-to-top', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <?php echo $__env->make('website.layouts.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <?php echo $__env->make('website.layouts.offcanvas', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <style>

        
    </style>

    <div class="one-container-about">
        <section id="who_is" class="about mt-50">
            <div>
                <h2 style="text-align: center"> Who is Phonix? </h2>
            </div>
            <h4>
                Phonix is a leading technology distribution company with over 2 decades of experience in the market. Our
                mission is to provide innovative technological solutions that optimize our clients' performance and
                strengthen their competitiveness in the global market. We specialize in the distribution of cutting-edge
                technological products, working closely with the leading manufacturers and suppliers in the sector. <br>
                Our goal is to create long-term value for our clients, providing them with tools and products that not only increase their market share, but also improve their profitability and operational efficiency. At Phonix, we understand that our clients' success is our success, so we are committed to offering them the support and solutions necessary to achieve their goals.
            </h4>
        </section><br>
        <section id="mission" class="about">
            <div>
                <h2 style="text-align: center"> Mission </h2>
            </div>
            <h4>
                Provide quality technological solutions, improving our clients' competitiveness through innovative
                products,
                personalized service and a close relationship with our suppliers. We strive to be the preferred partner
                in
                technology distribution, contributing to the growth and success of the companies we serve.
            </h4>
        </section><br>
        <section id="vision" class="about">
            <div>
                <h2 style="text-align: center"> Vision </h2>
            </div>
            <h4>
                To be a leading technology distribution company, recognized for its ability to anticipate market trends
                and
                offer effective solutions that help our customers stand out in an increasingly competitive environment.
                Our
                goal is to expand our presence globally, establishing long-lasting relationships with our strategic
                partners.
            </h4>
        </section><br>
        <section id="objectives" class="about">
            <div>
                <h2 style="text-align: center"> Objectives </h2>
            </div>
            <h4>
                <ul>
                    <li>
                        1. Expand the product portfolio: Continue incorporating the latest technological innovations
                        from our
                        suppliers, maintaining a diversified and updated catalog.
                    </li>
                    <li>
                        2. Optimize the customer experience: Provide exceptional customer service, ensuring efficient
                        delivery
                        and
                        ongoing support.
                    </li>
                    <li>
                        3. Foster strategic relationships: Establish strong alliances with manufacturers and suppliers,
                        in order
                        to
                        offer products of the highest quality and access the best market conditions.
                    </li>
                    <li>
                        4. Increase our global presence: Expand our distribution network into new regions, broadening
                        the reach
                        of
                        our technological solutions.
                    </li>
                    <li>
                        5. Sustainability and social responsibility: Incorporate sustainable practices in our operation
                        and
                        promote
                        environmentally responsible technological products and solutions.
                    </li>
                </ul>

            </h4>
        </section><br>
        <section id="key_points" class="about mb-50">
            <div>
                <h2 style="text-align: center"> Key Points </h2>
            </div>
            <h4>
                More than 2 decades of experience in the technology distribution sector.
                <ul>
                    <li>
                        • Diversified product portfolio, including hardware, software and comprehensive technology
                        solutions.
                    </li>
                    <li>
                        • Strategic alliances with leading global technology manufacturers and suppliers.
                    </li>
                    <li>
                        • Commitment to innovation: we constantly adapt our catalog to the latest market trends and
                        needs.
                    </li>
                    <li>
                        • Customer focus: we adapt our solutions to the specific needs of each client, ensuring tailored
                        results.
                    </li>
                    <li>
                        • Social and environmental responsibility: we work under sustainability principles, reducing our
                        carbon
                        footprint and promoting the responsible use of technology.
                    </li>
                </ul>
                At Phonix, we not only distribute technology, but we are also a strategic partner for companies seeking
                to
                transform their operations with advanced tools and tailored solutions. Together, we create value for
                everyone.
            </h4>
        </section>
    </div>



    <?php echo $__env->make('website.layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <!-- JS here -->
    <?php echo $__env->make('website.layouts.scripts', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
</body>

</html>
<?php /**PATH C:\xampp\htdocs\ecommerce-phonix\resources\views/website/about/index.blade.php ENDPATH**/ ?>