<div class="product__details-content">
    <h6 class="one-text-theme mt-15"><?php echo e($details['nombre']); ?></h6>
    <div class="pd-rating mb-10">
        <span class="one-text-theme"><strong>PARTNUMBER: </strong> <?php echo e($details['part_number']); ?></span>
    </div>
    <div class="price mb-10">
        <span>$<?php echo e($details['precio']); ?></span>
    </div>
    <div class="features-des mb-20 mt-10 one-text-theme">
        <ul>
            <?php $__currentLoopData = $details['registros_caracteristicas']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $carac): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php if($carac['caracteristica'] == 'Brand'): ?>
                    <li><i class="fas fa-circle" style="font-size: 8px"></i> Brand:
                        <?php echo e($carac['valor']); ?></li>
                <?php elseif($carac['caracteristica'] == 'Display Size'): ?>
                    <li><i class="fas fa-circle" style="font-size: 8px"></i> Display Size:
                        <?php echo e($carac['valor']); ?></li>
                <?php elseif($carac['caracteristica'] == 'Color'): ?>
                    <li><i class="fas fa-circle" style="font-size: 8px"></i> Color:
                        <?php echo e($carac['valor']); ?></li>
                <?php endif; ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

        </ul>
    </div>
    <div class="product-stock mb-20">
        <h5 class="one-text-theme">Availability: <span class="one-text-theme">
                
                <?php echo e($details['existencias']); ?> in stock
            </span>
        </h5>
        
    </div>







    <style>
        input[type=number]::-webkit-inner-spin-button,
        input[type=number]::-webkit-outer-spin-button {
            -webkit-appearance: none;
            margin: 0;
        }

        input[type=number] {
            -moz-appearance: textfield;
        }

        input[type=number] {
            width: auto;
            text-align: center;
            padding: 0;
            border: 1px solid #ccc;
            border-radius: 4px;
        }
    </style>
    <div class="karina" style="display: flex; ">
        <form id="formulario" action="<?php echo e(route('website.carrito.add')); ?>" method="POST"
            style="display: flex; align-items: center; gap: 5px">
            <?php echo csrf_field(); ?>

            <input type="hidden" name="nombreDB" value="<?php echo e($details['nombre']); ?>">
            <input type="hidden" name="imgDB" value="<?php echo e($details['registros_fotos'][0]['url_foto']); ?>">
            <input type="hidden" name="precioDB" value="<?php echo e($details['precio']); ?>">
            <input type="hidden" name="id" value="<?php echo e($details['id']); ?>">
            <input type="hidden" name="stockDB" value="<?php echo e($details['existencias']); ?>">
            <input type="hidden" name="linkDB"
                value="<?php echo e(route('website.products.show', ['name' => $details['nombre'], 'cod' => base64_encode($details['codigo']), 'id' => $details['id']])); ?>">
            <input type="hidden" name="unidadMed" value="pzas">
            <input type="hidden" name="stockDB" value="<?php echo e($details['existencias']); ?>">
            <input type="hidden" name="codigoDB" value="<?php echo e($details['codigo']); ?>">


            <button type="button" id="desc-minus-<?php echo e($details['id']); ?>" class="desc-minus"
                style="background-color: #e2f6ed">-</button>
            <input type="number" name="piezasDB" id="input-descuento-<?php echo e($details['id']); ?>" class="input-descuento"
                style="width: 45px; text-align: center" min="<?php echo e($details['MOQ']); ?>" value="<?php echo e($details['MOQ']); ?>">
            <button type="button" id="desc-plus-<?php echo e($details['id']); ?>" class="desc-plus"
                style="margin-right: 10px; background-color: #e2f6ed">+</button>
            <button class="ntn-shop-one auth-action-autenticate" type="submit" name="btn" title="Add">
                <i class="fa fa-shopping-cart"></i> Add
            </button>
        </form>
    </div>


    <script>
        document.querySelectorAll('.karina').forEach((product) => {
            const minusButton = product.querySelector('.desc-minus');
            const plusButton = product.querySelector('.desc-plus');
            const input = product.querySelector('.input-descuento');

            minusButton.addEventListener('click', () => {
                input.value = Math.max(1, parseFloat(input.value) - 1);
            });

            plusButton.addEventListener('click', () => {
                input.value = Math.min(input.getAttribute('max') || 100, parseFloat(input.value) +
                    1);
            });
        });
    </script>











    
    <div class="details-meta">
        <div class="d-meta-left">
            <div class="dm-item one-text-theme">
                <a href="<?php echo e(route('website.products.copyLink')); ?>" id="copyLinkBtn" class="one-cart-copy-btn">
                    <i class="fal fa-share-alt"></i>Copy product link
                </a>
                <input type="text" id="hiddenLink" style="position: absolute; left: -9999px;">

                <script>
                    document.getElementById('copyLinkBtn').addEventListener('click', function() {
                        let currentUrl = window.location.href;
                        currentUrl = currentUrl.replace('%23', '#');
                        const hiddenLinkInput = document.getElementById('hiddenLink');
                        hiddenLinkInput.value = currentUrl;
                        hiddenLinkInput.select();
                        hiddenLinkInput.setSelectionRange(0, 99999);
                        document.execCommand('copy');
                    });
                </script>
            </div>
        </div>
    </div>
    <div class="product-tag-area mt-15">
        <div class="product_info one-text-theme">
            <span class="sku_wrapper">
                <span class="title one-text-theme">ETA:</span>
                <span class="sku"><?php echo e($details['ETA']); ?></span>
            </span>
            <span class="tagged_as">
                <span class="title one-text-theme">MOQ:</span>
                <span class="sku"><?php echo e($details['MOQ']); ?></span>
            </span>
            <span class="posted_in">
                <span class="title one-text-theme">Categories:</span>
                <span
                    class="sku"><?php echo e(implode(', ', array_column($details['registros_familias'], 'familia'))); ?></span>
            </span>
        </div>
    </div>
</div>
<?php /**PATH C:\xampp\htdocs\ecommerce-phonix\resources\views/website/products/partials/show-product-detail-second.blade.php ENDPATH**/ ?>