<div class="col-sm-6 col-md-4 col-lg-3 col-xl-3 col-xxl-2">
    <form class="product__item product__item-2 b-radius-2 mb-20 one-section-product-theme"
        action="<?php echo e(route('website.carrito.add')); ?>" method="POST">
        <?php echo csrf_field(); ?>
        <div class="product__thumb fix">
            <div class="product-image w-img">
                <a
                    href="<?php echo e(route('website.products.show', ['name' => $item['nombre'], 'cod' => base64_encode($item['codigo']), 'id' => $item['id']])); ?>">
                    <img src="<?php echo e($item['registros_fotos'][0]['url_foto']); ?>" alt="product">
                </a>
            </div>
            
        </div>
        <div class="product__content product__content-2 mt-3">
            <h6><a
                    href="<?php echo e(route('website.products.show', ['name' => $item['nombre'], 'cod' => base64_encode($item['codigo']), 'id' => $item['id']])); ?>"><?php echo e($item['nombre']); ?></a>
            </h6>
            <div class="rating mt-10">
                <span><strong>PARTNUMBER:</strong> <?php echo e($item['part_number']); ?></span>
            </div>
            <div class="rating">
                <span><strong>CODIGO:</strong> <?php echo e($item['codigo']); ?></span>
            </div>
            <div class="rating mb-5">
                <span><strong>CONDITION:</strong> <?php echo e($item['condicion']); ?></span>
            </div>
            <?php if(session('usuario_autenticado')): ?>
                <div class="price">
                    <span>$<?php echo e($item['precio']); ?></span>
                </div>
            <?php endif; ?>

        </div>
        <div class="product__add-cart text-center">
            <input type="hidden" name="nombreDB" value="<?php echo e($item['nombre']); ?>">
            <input type="hidden" name="imgDB" value="<?php echo e($item['registros_fotos'][0]['url_foto']); ?>">
            <input type="hidden" name="precioDB" value="<?php echo e($item['precio']); ?>">
            <input type="hidden" name="id" value="<?php echo e($item['id']); ?>">
            <input type="hidden" name="piezasDB" value="1">
            <input type="hidden" name="stockDB" value="<?php echo e($item['existencias']); ?>">
            <input type="hidden" name="linkDB" value="<?php echo e(env('APP_URL')); ?>">
            <input type="hidden" name="unidadMed" value="pzas">
            <input type="hidden" name="stockDB" value="<?php echo e($item['existencias']); ?>">
            <input type="hidden" name="codigoDB" value="<?php echo e($item['codigo']); ?>">
            <button type="submit"
                class="cart-btn-3 product-modal-sidebar-open-btn d-flex align-items-center justify-content-center w-100 one-button-car-theme auth-action-autenticate">
                Add to Cart
            </button>
        </div>
    </form>
</div>
<?php /**PATH C:\xampp\htdocs\ecommerce-phonix\resources\views/website/shared/product.blade.php ENDPATH**/ ?>