<!DOCTYPE html>
<?php echo $__env->make('website.layouts.auth.head', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<body>
    <div class="container fade-in">
        <div class="logo">
            <a href="<?php echo e(route('website.home.index')); ?>" class="logo-image"><img
                    src="<?php echo e(asset('website/img/basic/logo_phonix_black.png')); ?>" alt="logo">
            </a>

        </div>
        <div class="row">
            <?php if(!session('mensajeExito')): ?>
            <form action="<?php echo e(route('customer.profile.recoverySend')); ?>" method="POST">
                <?php echo csrf_field(); ?>
                <div class="col-12">
                    <input type="text" name="user" id=""
                        placeholder="Enter your account email address to be recovered">
                </div>
                <div class="col-12">
                    <button type="submit">Send Request</button>
                </div>
            </form>
            <?php endif; ?>
        </div>

        <?php if(session('error')): ?>
            <div class="text-alert"><i class="fa fa-times-circle-o" aria-hidden="true"></i> <?php echo e(session('error')); ?></div>
        <?php endif; ?>
        <?php if(session('mensaje')): ?>
            <div class="alert-error-login">
                <i class="fa fa-exclamation-triangle" aria-hidden="true"></i> <?php echo e(session('mensaje')); ?>

            </div>
        <?php endif; ?>
        <?php if(session('mensajeExito')): ?>
            <div class="alert-succes-login">
                <i class="fa fa-check" aria-hidden="true"></i> <?php echo e(session('mensajeExito')); ?>

            </div>
        <?php endif; ?>

        <p>
            You already have an account?
            <a href="#" onclick="redirectWithAnimation('<?php echo e(route('website.auth.login')); ?>')">
                Login
            </a>
        </p>
    </div>

    <script src="<?php echo e(asset('website/js/script-login.js')); ?>"></script>
</body>

</html>
<?php /**PATH C:\xampp\htdocs\ecommerce-phonix\resources\views/website/recovery/index.blade.php ENDPATH**/ ?>