<header class="header d-blue-bg one-header-theme">
    <div class="header-top">
        <div class="container custom-conatiner">
            <div class="header-inner">
                <div class="row align-items-center">
                    <div class="col-xl-6 col-lg-7">
                        <div class="header-inner-start">
                            <div class="support d-none d-sm-block one-nav-header-support">
                                <p>Need Help? <a href="tel:7868985969">786-898-5969</a></p>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-6 col-lg-5 d-none d-lg-block">
                        <div class="header-inner-end text-md-end">
                            <div class="ovic-menu-wrapper ovic-menu-wrapper-2">
                                <ul>
                                    
                                    <li><a href="<?php echo e(route('website.products.index')); ?>">All Products</a></li>
                                    
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="header-mid">
        <div class="container custom-conatiner">
            <div class="heade-mid-inner">
                <div class="row align-items-center">
                    <div class="col-xl-3 col-lg-3 col-md-4 col-sm-4">
                        <div class="header__info">
                            <div class="logo">
                                <a href="<?php echo e(route('website.home.index')); ?>" class="logo-image"><img
                                        src="<?php echo e(asset('website/img/basic/logo_phonix_white.png')); ?>" alt="logo"></a>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-5 col-lg-4 d-none d-lg-block">
                        <div class="header__search">
                            <form id="searchForm" action="<?php echo e(route('website.products.index')); ?>" method="GET">
                                <div class="header__search-box">
                                    <!-- Input visible sin el atributo name -->
                                    <input class="search-input search-input-2" type="text"
                                        placeholder="I'm shopping for..." id="busInput">

                                    <!-- Campo oculto para enviar el valor en base64 -->
                                    <input type="hidden" name="bus" id="encodedBus">

                                    <button class="button button-2 one-button-search" type="submit"><i
                                            class="far fa-search"></i></button>
                                </div>
                                <div class="header__search-cat one-header-search-filter">
                                    <select id="familiaSelect" name="fam">
                                        <option value="">Select a category</option>
                                        <?php $__currentLoopData = session('familias'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $familia): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($familia['id']); ?>"><?php echo e($familia['nombre']); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            </form>

                            <script>
                                document.getElementById('searchForm').addEventListener('submit', function(event) {
                                    // Obtén el valor del input visible
                                    const busInput = document.getElementById('busInput').value;

                                    // Codifica el valor en base64
                                    const base64Value = btoa(busInput);

                                    // Establece el valor codificado en el input oculto
                                    document.getElementById('encodedBus').value = base64Value;
                                });

                                // Agrega el evento change al select
                                document.getElementById('familiaSelect').addEventListener('change', function() {
                                    const selectedFamId = this.value;

                                    if (selectedFamId) {
                                        // Redirige a la ruta con el parámetro ?fam=id
                                        // Evitamos el envío del formulario y solo redirigimos con el parámetro
                                        const searchQuery = document.getElementById('busInput').value;
                                        const url = new URL("<?php echo e(route('website.products.index')); ?>");
                                        url.searchParams.set("fam", selectedFamId);

                                        if (searchQuery) {
                                            url.searchParams.set("bus", btoa(searchQuery)); // Codificamos el valor de busInput
                                        }

                                        window.location.href = url; // Realizamos la redirección con los parámetros
                                    }
                                });
                            </script>




                        </div>
                    </div>
                    <div class="col-xl-4 col-lg-5 col-md-8 col-sm-8">
                        <div class="header-action">
                            

                            <div class="block-cart action">
                                <?php if(session('usuario_autenticado')): ?>
                                    <a class="icon-link icon-link-2">
                                    <?php else: ?>
                                        <a class="icon-link icon-link-2" href="<?php echo e(route('website.auth.login')); ?>">
                                <?php endif; ?>
                                <i class="flaticon-user"></i>
                                <?php if(session('usuario_autenticado')): ?>
                                    <span class="text">
                                        <span class="sub">Welcome </span>
                                        <?php if(session('usuario_data') && isset(session('usuario_data')['nombre_completo'])): ?>
                                            <?php echo e(session('usuario_data')['nombre_completo']); ?>

                                        <?php else: ?>
                                            Name user not data
                                        <?php endif; ?>
                                    </span>
                                <?php else: ?>
                                    <span class="text">
                                        <span class="sub">Login </span>
                                        My Account </span>
                                <?php endif; ?>
                                </a>
                                <?php if(session('usuario_autenticado')): ?>
                                    <div class="cart">
                                        <div class="cart__mini">
                                            <ul>
                                                <li>
                                                    <form id="logout-form" action="<?php echo e(route('website.auth.logout')); ?>"
                                                        method="POST" style="display: none;">
                                                        <?php echo csrf_field(); ?>
                                                    </form>
                                                    <?php if(session('tip_usr') == 1): ?>
                                                        <a href="<?php echo e(route('customer.profile.index')); ?>"
                                                            class="wc-checkout">My
                                                            Account</a>
                                                        <a href="<?php echo e(route('customer.orders.index')); ?>"
                                                            class="wc-checkout">My
                                                            Orders</a>
                                                    <?php elseif(session('tip_usr') == 2): ?>
                                                        <a href="<?php echo e(route('vendor.profile.index')); ?>"
                                                            class="wc-checkout">My
                                                            Account</a>
                                                        <a href="<?php echo e(route('vendor.layouts.index')); ?>"
                                                            class="wc-checkout">My
                                                            Orders</a>
                                                    <?php elseif(session('tip_usr') == 3): ?>
                                                        <a href="<?php echo e(route('agent.profile.index')); ?>"
                                                            class="wc-checkout">My
                                                            Account</a>
                                                        <a href="<?php echo e(route('agent.orders.index')); ?>"
                                                            class="wc-checkout">My
                                                            Orders</a>
                                                    <?php endif; ?>

                                                    <a onclick="event.preventDefault(); document.getElementById('logout-form').submit();"
                                                        class="wc-cart mb-10">Logout</a>
                                                </li>
                                            </ul>
                                        </div>
                                    </div>
                                <?php endif; ?>
                            </div>

                            <div class="block-wishlist action">
                                
                            </div>
                            <?php if(session('usuario_autenticado')): ?>
                                <div class="block-cart action">
                                    <a class="icon-link icon-link-2" href="<?php echo e(route('website.cart.index')); ?>">
                                        <i class="flaticon-shopping-bag"></i>

                                        <?php if(!empty(session('miCarrito'))): ?>
                                            <span class="count count-2"><?php echo e(session('miCarritoCount')); ?></span>
                                            <span class="text">
                                        <?php endif; ?>
                                        <span class="sub">Your Cart:</span>
                                        <?php if(!empty(session('miCarrito'))): ?>
                                            $<?php echo e(session('miCarritoSuma')); ?>

                                        <?php endif; ?>
                                        </span>
                                    </a>

                                    <div class="cart">
                                        <div class="cart__mini">
                                            <ul>
                                                <li>
                                                    <div class="cart__title">
                                                        <h4>Your Cart</h4>
                                                        <span>(<?php echo e(session('miCarritoCount')); ?> Item in Cart)</span>
                                                    </div>
                                                </li>
                                                <?php if(!empty(session('miCarrito'))): ?>
                                                    <?php $__currentLoopData = session('miCarrito'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <li>
                                                            <div
                                                                class="cart__item d-flex justify-content-between align-items-center">

                                                                <div class="cart__inner d-flex">
                                                                    <div class="cart__thumb">
                                                                        <a href="<?php echo e($item->LNK_PRD); ?>">
                                                                            <img src="<?php echo e($item->IMG_PRD); ?>"
                                                                                alt="">
                                                                        </a>
                                                                    </div>
                                                                    <div class="cart__details">
                                                                        <h6><a href="<?php echo e($item->LNK_PRD); ?>">
                                                                                <?php echo e($item->NOM_PRD); ?> </a></h6>
                                                                        <div class="cart__price one-cart-price">
                                                                            <small>x<?php echo e($item->CANTIDAD); ?></small>
                                                                            <span>$<?php echo e($item->PRC_UNT); ?></span>
                                                                        </div>
                                                                    </div>
                                                                </div>


                                                                <div class="cart__del">
                                                                    
                                                                </div>
                                                            </div>
                                                        </li>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    <li>
                                                        <div
                                                            class="cart__sub d-flex justify-content-between align-items-center">
                                                            <h6>Subtotal</h6>
                                                            <span
                                                                class="cart__sub-total one-cart-subtotal">$<?php echo e(session('miCarritoSuma')); ?></span>
                                                        </div>
                                                    </li>
                                                    <li>
                                                        <a href="<?php echo e(route('website.cart.index')); ?>"
                                                            class="wc-cart mb-10">View
                                                            cart</a>
                                                        <a href="<?php echo e(route('website.checkout.index')); ?>"
                                                            class="wc-checkout">Checkout</a>
                                                    </li>
                                                <?php else: ?>
                                                    Empty cart
                                                <?php endif; ?>

                                            </ul>
                                        </div>
                                    </div>

                                </div>
                            <?php else: ?>
                                <div class="block-cart action">
                                </div>
                            <?php endif; ?>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="header__bottom">
        <div class="container custom-conatiner">
            <div class="row g-0 align-items-center">
                <div class="col-lg-3">
                    <div class="cat__menu-wrapper side-border d-none d-lg-block">
                        <div class="cat-toggle">
                            <button type="button" class="cat-toggle-btn cat-toggle-btn-1">
                                <i class="fal fa-bars"></i> Shop by department
                            </button>
                            <div class="cat__menu-2 cat__menu">
                                <nav id="mobile-menu" style="display: block;">
                                    <ul>
                                        <?php $__currentLoopData = session('familias'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <li>
                                                <a
                                                    href="<?php echo e(route('website.products.index') . '?fam=' . $item['id']); ?>"><?php echo e($item['nombre']); ?>

                                                    <?php if(!empty($item['sub_fam_registros'])): ?>
                                                        <i class="far fa-angle-down"></i>
                                                    <?php endif; ?>
                                                </a>
                                                <?php if(!empty($item['sub_fam_registros'])): ?>
                                                    <ul class="submenu">
                                                        <?php $__currentLoopData = $item['sub_fam_registros']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item2): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <li>
                                                                <a
                                                                    href="<?php echo e(route('website.products.index') . '?sub=' . $item2['id']); ?>">
                                                                    <?php echo e($item2['nombre']); ?>

                                                                </a>
                                                            </li>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </ul>
                                                <?php endif; ?>

                                            </li>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </ul>
                                </nav>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-6 col-md-6 col-3">
                    <div class="header__bottom-left d-flex d-xl-block align-items-center">
                        <div class="side-menu d-lg-none mr-20">
                            <button type="button" class="side-menu-btn offcanvas-toggle-btn"><i
                                    class="fas fa-bars"></i></button>
                        </div>
                        <div class="main-menu d-none d-lg-block">
                            <nav>
                                <ul>
                                    <li>
                                        <a href="<?php echo e(route('website.products.index', ['fam' => session('today')['id']] )); ?>"><i class="fa fa-bolt" aria-hidden="true">
                                            </i> Today deals <span class="one-span-page-link">
                                                <?php if(session('today')['num_productos'] >= 99): ?>
                                                    99+
                                                <?php else: ?>
                                                    <?php echo e(session('today')['num_productos']); ?>

                                                <?php endif; ?>
                                            </span>
                                        </a>
                                    </li>
                                    <li>
                                        <a href="<?php echo e(route('website.products.index', ['fam' => session('price')['id']] )); ?>">
                                            <i class="fa fa-arrow-circle-down"
                                                aria-hidden="true"></i> Price drop <span
                                                class="one-span-page-link">
                                                <?php if(session('price')['num_productos'] >= 99): ?>
                                                    99+
                                                <?php else: ?>
                                                    <?php echo e(session('price')['num_productos']); ?>

                                                <?php endif; ?>
                                            </span>
                                        </a>
                                    </li>
                                    <li>
                                        <a href="<?php echo e(route('website.products.index', ['fam' => session('just')['id']] )); ?>">
                                            <i class="fa fa-rocket" aria-hidden="true"></i> Just
                                            launched <span class="one-span-page-link">
                                                <?php if(session('just')['num_productos'] >= 99): ?>
                                                    99+
                                                <?php else: ?>
                                                    <?php echo e(session('just')['num_productos']); ?>

                                                <?php endif; ?>
                                            </span>
                                        </a>
                                    </li>
                                </ul>
                            </nav>
                        </div>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6 col-9">
                    <div class="shopeing-text text-sm-end">
                        
                    </div>
                </div>
            </div>
        </div>
    </div>
</header>
<?php /**PATH C:\xampp\htdocs\ecommerce-phonix\resources\views/website/layouts/header.blade.php ENDPATH**/ ?>